<?php
/**
 * @package    	Domus Organizer
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusDispatcher extends FOFDispatcher
{
	function __construct($config = array())
	{
		//enable autorouting on frontend only
		$config['autoRouting'] = 1;

		parent::__construct($config);
	}

	function dispatch()
	{
		if(!class_exists('LiveUpdate')) {
			require_once JPATH_ADMINISTRATOR.'/components/com_domus/liveupdate/liveupdate.php';
			if((FOFInput::getCmd('view','',$this->input) == 'liveupdate')) {
				LiveUpdate::handleRequest();
				return true;
			}
		}

		parent::dispatch();
	}

	function onAfterDispatch()
	{
		//echo '<div style="clear:both;text-align:center">Powered by Domus Organizer</div>';
		return true;
	}
}