TRUNCATE `#__domus_customers`;
INSERT INTO `#__domus_customers` (`id_customers`, `cu_name`, `cu_surname`, `cu_type`, `cu_id_customer_groups`, `cu_company_name`, `cu_id_street_type`, `cu_street`, `cu_streetnr`, `cu_zipcode`, `cu_id_towns`, `cu_zone`, `cu_szone`, `cu_id_districts`, `cu_id_country`, `cu_telephone`, `cu_prefix`, `cu_mobile`, `cu_fax`, `cu_email`, `cu_sex`, `cu_date_birth`, `cu_district_birth`, `cu_town_birth`, `cu_prev_number`, `cu_vat`, `cu_note`, `cu_id_sources`, `created_by`, `modified_by`, `created_on`, `modified_on`, `cu_keywords`, `cu_locked_by`, `cu_locked_on`, `cu_req_id_types`, `cu_req_max_price`, `cu_req_min_space`, `cu_req_max_floor`, `cu_req_max_units`, `cu_req_id_categories_1`, `cu_req_id_categories_2`, `cu_req_id_categories_3`) VALUES
(1, 'John', 'Doe', 'C', 1, '', 0, 'Central Park', '38', '', 1, 0, 0, 1, '', '555-324890', '', '348-0005678703', '', 'john.doe@test.com', 'M', '1972-03-15', 1, 1, '1234567890123', '', '', 9, 42, 0, '2012-03-06 07:15:33', '0000-00-00 00:00:00', '', 0, '0000-00-00 00:00:00', 2, 1, 80, 4, 0, 66, 0, 0);

TRUNCATE `#__domus_cust_requests`;
INSERT INTO `#__domus_cust_requests` (`req_id_customers`, `req_id_attributes`) VALUES
(1, 4),
(1, 7),
(1, 12),
(1, 21);

TRUNCATE `#__domus_cust_rooms`;
INSERT INTO `#__domus_cust_rooms` (`id_cust_rooms`, `cr_id_customers`, `cr_id_rooms`, `cr_quantity`) VALUES
(1, 1, 6, 1);

TRUNCATE `#__domus_cust_towns`;
INSERT INTO `#__domus_cust_towns` (`id_cust_towns`, `ct_id_customers`, `ct_id_districts`, `ct_id_towns`, `ct_id_zones`, `ct_id_szones`) VALUES
(1, 1, 2, 2, 0, 0),
(2, 1, 1, 1, 0, 0);

TRUNCATE `#__domus_properties`;
INSERT INTO `#__domus_properties` (`id_properties`, `pr_obj_id`, `pr_id_yards`, `pr_start_position`, `pr_end_position`, `pr_id_agencies`, `pr_id_categories`, `pr_id_types`, `pr_title`, `pr_alias`, `pr_descr`, `pr_notes`, `pr_rooms`, `pr_bedrooms`, `pr_wc`, `pr_space`, `pr_floor`, `pr_floors_tot`, `pr_units`, `pr_levels`, `pr_monthly_exp`, `pr_id_energy_class`, `pr_built`, `pr_renovation`, `pr_garden_sup`, `pr_price`, `pr_price_min`, `pr_negotiable`, `pr_private_treaty`, `pr_exclusive`, `pr_id_street_type`, `pr_street`, `pr_streetnr`, `pr_internal_nr`, `pr_zipcode`, `pr_id_towns`, `pr_id_districts`, `pr_id_zones`, `pr_id_szones`, `pr_hits`, `pr_hot`, `pr_home_page`, `pr_mapcoords`, `pr_metadesc`, `pr_metakey`, `pr_keywords`, `created_on`, `modified_on`, `created_by`, `modified_by`, `pr_publish_up`, `pr_publish_down`, `enabled`, `pr_domus_published`, `pr_locked_by`, `pr_locked_on`) VALUES
(1, 'A100', NULL, '2012-05-15', '2013-05-15', 1, 66, 1, 'Lorem ipsum', 'a100', '<p>Vestibulum malesuada suscipit congue. Sed a nisl mi; sed tristique tortor. Nulla ullamcorper nisi quis ante dignissim ut mattis orci interdum. Duis commodo porta eros, sed placerat libero ullamcorper ac. Integer et nisi et mi aliquam rutrum. Nulla facilisi. P</p>\r\n<p>roin a ipsum nisl, non volutpat libero. Curabitur faucibus sollicitudin lorem, eu mattis felis vehicula nec. Etiam rutrum purus pharetra quam venenatis euismod. Duis dignissim tristique tellus, a malesuada libero tristique sit amet. Integer eleifend gravida felis id euismod. Curabitur quis congue quam! Fusce sit amet ante erat, at interdum turpis. Suspendisse hendrerit euismod magna in tempus.</p>', '', 6, 2, 0, 230.00, 3, 5, 10, 1, NULL, 0, 1970, 2010, 12.00, 315000, 300000, 0, 0, 0, 5, 'dummy', '28', '', '', 1, 1, 0, 0, 0, 0, 0, '40.713028, -73.977739', '', '', '', '2012-05-15 13:36:35', '0000-00-00 00:00:00', 42, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 1, 0, '0000-00-00 00:00:00');

TRUNCATE `#__domus_prop_attributes`;
INSERT INTO `#__domus_prop_attributes` (`patt_id_properties`, `patt_id_attributes`) VALUES
(1, 1),
(1, 7),
(1, 11),
(1, 17),
(1, 20),
(1, 33),
(1, 39),
(1, 47),
(1, 51),
(1, 54),
(1, 57),
(1, 59),
(1, 62),
(1, 64);

TRUNCATE `#__domus_prop_owners`;
INSERT INTO `#__domus_prop_owners` (`pow_id_properties`, `pow_id_customers`) VALUES
(1, 1);

TRUNCATE `#__domus_prop_rooms`;
INSERT INTO `#__domus_prop_rooms` (`id_prop_rooms`, `pro_id_properties`, `pro_id_rooms`, `pro_size`) VALUES
(3, 1, 2, 10.00),
(2, 1, 20, 8.00),
(4, 1, 8, 10.00),
(5, 1, 4, 5.00),
(6, 1, 7, 10.00),
(7, 1, 16, 14.00);

TRUNCATE `#__domus_attributes`;
INSERT INTO `#__domus_attributes` (`id_attributes`, `att_type`, `att_descr`, `att_ordering`, `att_input`) VALUES
(1, 'PROP_COND', 'Fit for habitation', 0, 'SELECT'),
(2, 'PROP_COND', 'New', 0, 'SELECT'),
(3, 'PROP_COND', 'Renovated', 0, 'SELECT'),
(4, 'PROP_COND', 'To renovate', 0, 'SELECT'),
(5, 'OCCUPATION', 'Free after deed', 0, 'SELECT'),
(6, 'OCCUPATION', 'Occupied', 0, 'SELECT'),
(7, 'OCCUPATION', 'Available Soon', 0, 'SELECT'),
(8, 'OCCUPATION', 'Rented', 0, 'SELECT'),
(9, 'EXPOSURE', 'North', 0, 'SELECT'),
(10, 'EXPOSURE', 'South', 0, 'SELECT'),
(11, 'EXPOSURE', 'Est', 0, 'SELECT'),
(12, 'EXPOSURE', 'West', 0, 'SELECT'),
(13, 'EXPOSURE', 'North - Est', 0, 'SELECT'),
(14, 'EXPOSURE', 'North - West', 0, 'SELECT'),
(15, 'EXPOSURE', 'South - Est', 0, 'SELECT'),
(16, 'EXPOSURE', 'South - west', 0, 'SELECT'),
(17, 'AIR_COND', 'Yes', 0, 'SELECT'),
(18, 'AIR_COND', 'No', 0, 'SELECT'),
(19, 'AIR_COND', 'Predisposition', 0, 'SELECT'),
(20, 'FURNITURE', 'Unfurnished', 0, 'SELECT'),
(21, 'FURNITURE', 'Newly furnished', 0, 'SELECT'),
(22, 'FURNITURE', 'New semi-furnished', 0, 'SELECT'),
(23, 'FURNITURE', 'Used furnished', 0, 'SELECT'),
(24, 'FURNITURE', 'Used semi-furnished', 0, 'SELECT'),
(25, 'BUILDING_TYPE', 'Property for students', 0, 'SELECT'),
(26, 'BUILDING_TYPE', 'New construction', 0, 'SELECT'),
(27, 'BUILDING_TYPE', 'Luxury', 0, 'SELECT'),
(28, 'BUILDING_TYPE', 'People home', 0, 'SELECT'),
(29, 'BUILDING_TYPE', 'Historical property', 0, 'SELECT'),
(30, 'BUILDING_TYPE', 'Modern building', 0, 'SELECT'),
(31, 'BUILDING_TYPE', 'Independent property', 0, 'SELECT'),
(32, 'BUILDING_TYPE', 'Recent property', 0, 'SELECT'),
(33, 'BUILDING_TYPE', 'Condominium', 0, 'SELECT'),
(34, 'BUILDING_TYPE', 'Suitable property investment', 0, 'SELECT'),
(35, 'BUILDING_STATE', 'Interventions on the property', 0, 'SELECT'),
(36, 'BUILDING_STATE', 'Very bad', 0, 'SELECT'),
(37, 'BUILDING_STATE', 'Sufficient', 0, 'SELECT'),
(38, 'BUILDING_STATE', 'Decent', 0, 'SELECT'),
(39, 'BUILDING_STATE', 'Good', 0, 'SELECT'),
(40, 'BUILDING_STATE', 'Excellent', 0, 'SELECT'),
(41, 'BUILDING_STATE', 'Renovated', 0, 'SELECT'),
(42, 'BUILDING_STATE', 'New', 0, 'SELECT'),
(43, 'BUILDING_STATE', 'Recent', 0, 'SELECT'),
(44, 'HEATING', 'Underfloor heating', 0, 'SELECT'),
(45, 'HEATING', 'Other', 0, 'SELECT'),
(46, 'HEATING', 'Fan coil', 0, 'SELECT'),
(47, 'HEATING', 'Radiators', 0, 'SELECT'),
(48, 'HEATING_POWER', 'Electric energy', 0, 'SELECT'),
(49, 'HEATING_POWER', 'Solar panels', 0, 'SELECT'),
(50, 'HEATING_POWER', 'Geothermal', 0, 'SELECT'),
(51, 'HEATING_POWER', 'Wood', 0, 'SELECT'),
(52, 'HEATING_POWER', 'Gas oil', 0, 'SELECT'),
(53, 'HEATING_POWER', 'Methane gas', 0, 'SELECT'),
(54, 'HEATING_SUPPLY', 'Autonomous', 0, 'SELECT'),
(55, 'HEATING_SUPPLY', 'Central', 0, 'SELECT'),
(56, 'HEATING_SUPPLY', 'Not specified', 0, 'SELECT'),
(57, 'GARDEN', 'Private garden', 0, 'SELECT'),
(58, 'GARDEN', 'Common garden', 0, 'SELECT'),
(59, 'LIFT', 'Lift', 0, 'BOOLEAN'),
(60, 'RECEPTION', 'Reception', 0, 'BOOLEAN'),
(61, 'TOP_FLOOR', 'Top floor', 0, 'BOOLEAN'),
(62, 'GARAGE', 'Single', 0, 'SELECT'),
(63, 'GARAGE', 'Double', 0, 'SELECT'),
(64, 'PARKAREA', 'Area covered', 0, 'SELECT'),
(65, 'PARKAREA', 'Place condominium', 0, 'SELECT');

TRUNCATE `#__domus_categories`;
INSERT INTO `#__domus_categories` (`id_categories`, `cat_name`, `cat_alias`, `cat_description`, `cat_entries`, `cat_parent`, `ordering`, `cat_image`, `cat_published`) VALUES
(999, 'Residential', 'residential', '', 0, 0, 1, '', 1),
(989, 'Commercial', 'commercial', '', 0, 0, 2, '', 1),
(979, 'Industrial', 'industrial', '', 0, 0, 3, '', 1),
(939, 'Company', 'company', '', 0, 0, 4, '', 1),
(17, 'Terraced end house', 'terraced-end-house', '', 0, 999, 6, '', 1),
(69, 'Warehouse', 'warehouse', '', 0, 989, 1, '', 1),
(26, 'Two-family house', 'two-family-house', '', 0, 999, 7, '', 1),
(29, 'Hotel', 'hotel', '', 0, 939, 1, '', 1),
(31, 'Shop', 'shop', '', 0, 989, 3, '', 1),
(33, 'Shed', 'shed', '', 0, 979, 1, '', 1),
(44, 'Detached house', 'detached-house', '', 0, 999, 5, '', 1),
(59, 'Office', 'office', '', 0, 989, 2, '', 1),
(62, 'Studio flat', 'studio-flat', '', 0, 999, 1, '', 1),
(64, 'Villa', 'villa', '', 0, 999, 2, '', 1),
(66, 'Apartment', 'apartment', '', 0, 999, 3, '', 1),
(67, 'Loft', 'loft', '', 0, 999, 4, '', 1);

TRUNCATE `#__domus_customer_groups`;
INSERT INTO `#__domus_customer_groups` (`id_customer_groups`, `cg_descr`) VALUES
(NULL, 'Friends'),
(NULL, 'Notaries'),
(NULL, 'Collaborators'),
(NULL, 'Suppliers');

TRUNCATE `#__domus_rooms`;
INSERT INTO `#__domus_rooms` (`id_rooms`, `ro_group`, `ro_descr`) VALUES
(NULL, 'BEDROOM', 'Lounge'),
(NULL, 'DEFAULT', 'Laundry'),
(NULL, 'DEFAULT', 'Entrance'),
(NULL, 'DEFAULT', 'Closet'),
(NULL, 'BATHROOM', 'Bathroom'),
(NULL, 'BEDROOM', 'Bedroom'),
(NULL, 'DEFAULT', 'Kitchen'),
(NULL, 'DEFAULT', 'Balcony'),
(NULL, 'DEFAULT', 'Terrace'),
(NULL, 'DEFAULT', 'Cellar'),
(NULL, 'BEDROOM', 'Double bedroom'),
(NULL, 'BEDROOM', 'Single room'),
(NULL, 'DEFAULT', 'Living room');

TRUNCATE `#__domus_sources`;
INSERT INTO `#__domus_sources` (`id_sources`, `so_descr`) VALUES
(NULL, 'Already customer'),
(NULL, 'Rinnovo Incarico'),
(NULL, 'Newspaper'),
(NULL, 'Internet'),
(NULL, 'Signboard'),
(NULL, 'Word of mouth'),
(NULL, 'Entry into agency');

TRUNCATE `#__domus_street_type`;
INSERT INTO `#__domus_street_type` (`id_street_type`, `st_descr`) VALUES
(NULL, 'Alley'),
(NULL, 'Avenue'),
(NULL, 'Boulevard'),
(NULL, 'Road'),
(NULL, 'Street'),
(NULL, 'Drive'),
(NULL, 'Lane'),
(NULL, 'Square'),
(NULL, 'Pathway');

TRUNCATE `#__domus_types`;
INSERT INTO `#__domus_types` (`id_types`, `ty_name`, `ty_alias`, `ordering`, `ty_published`) VALUES
(NULL, 'Rent', 'rent', 1, 1),
(NULL, 'Sale', 'sale', 2, 1);

TRUNCATE `#__domus_districts`;
INSERT INTO `#__domus_districts` (`id_districts`, `di_descr`, `di_descr_short`, `di_id_regions`) VALUES
(1, 'New York', 'NY', 0),
(2, 'Washington', 'Wash DC', 0);

TRUNCATE `#__domus_towns`;
INSERT INTO `#__domus_towns` (`id_towns`, `to_id_districts`, `to_descr`) VALUES
(NULL, 1, 'New York'),
(NULL, 2, 'Washington D.C.');

TRUNCATE `#__domus_agencies`;
INSERT INTO `#__domus_agencies` (`id_agencies`, `ag_name`, `ag_address`, `ag_zip_code`, `ag_id_districts`, `ag_id_towns`, `ag_telephone`, `ag_fax`, `ag_email`) VALUES
(1, 'Domus Organizer', 'Sample Street 18', '44444', 1, 1, '555-65645778', '555-7683567', 'dummy@email.com');