<?php
/**
 * @package    	Domus Organizer
 * @subpackage	Tables
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusTableProproom extends FOFTable
{
	function __construct($table, $key, $db)
	{
		//custom table_key name
		parent::__construct('#__domus_prop_rooms', 'id_prop_rooms', $db);
	}

	function onBeforeStore($updateNulls)
	{
		$result = true;

		//no need to set an error, since I handle everything using batch methods
		if(!$this->pro_id_rooms)	$result = false;

		return parent::onBeforeStore($updateNulls) && $result;
	}
}