<?php
/**
 * @package    	Domus Organizer
 * @subpackage	Tables
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusTableUser extends FOFTable
{
	function __construct($table, $key, $db)
	{
		//custom table_key name
		parent::__construct($table, 'id_users', $db);
	}

	function onBeforeStore($updateNulls)
	{
		$result = true;

		if(!$this->us_name)
		{
			$this->setError(JText::_('COM_DOMUS_USERS_NAME'));
			$result = false;
		}

		if(!$this->us_surname)
		{
			$this->setError(JText::_('COM_DOMUS_USERS_SURNAME'));
			$result = false;
		}

		return parent::onBeforeStore($updateNulls) && $result;
	}
}