<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Helpers
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusHelperFancy
{
	public static function addTable()
	{
		self::addJQuery();

		FOFTemplateUtils::addJS('com_domus/js/jquery.jeditable.mini.js');
		FOFTemplateUtils::addJS('com_domus/library/datatables/js/jquery.dataTables.min.js');
		FOFTemplateUtils::addCSS('com_domus/library/datatables/css/datatables.css');
	}

	public static function addJQuery()
	{
		$doc 	 = JFactory::getDocument();
		$scripts = array_keys($doc->get('_scripts'));

		//JQuery is not added
		if(!preg_grep('#jquery#i', $scripts))
		{
			FOFTemplateUtils::addJS('com_domus/js/jquery.js');
		}
	}
}