<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Models
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusModelAgencies extends FOFModel
{
	public function &getItem($id = null)
	{
		if(!is_null($id))
		{
			$this->record = null;
			$this->setId($id);
		}

		if(empty($this->record))
		{
			$db = $this->getDbo();
			$query = FOFQueryAbstract::getNew($db);

			$query->select('age.*, to_descr, di_descr')
				  ->from('#__domus_agencies age')
				  ->innerJoin('#__domus_towns ON ag_id_towns = id_towns')
				  ->innerJoin('#__domus_districts ON ag_id_districts = id_districts')
				  ->where('id_agencies = '.$this->id);

			$this->record = $db->setQuery($query)->loadObject();

			$this->onAfterGetItem($this->record);
		}

		return $this->record;
	}
}