<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Models
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusModelPropattribs extends FOFModel
{
	public function buildQuery($overrideLimits = false)
	{
		$db = $this->getDbo();
		$query = FOFQueryAbstract::getNew($db)
					->select('patt_id_attributes as id, att_type, att_descr')
					->from('#__domus_prop_attributes')
					->innerJoin('#__domus_attributes ON patt_id_attributes = id_attributes');

		$property = $this->getState('patt_id_properties', 0, 'int');
		if($property)
		{
			$query->where('patt_id_properties = '.$property);
		}

		return $query;
	}
}