<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Models
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusModelProprooms extends FOFModel
{
	public function buildQuery($overrideLimits = false)
	{
		$db = $this->getDbo();
		$query = FOFQueryAbstract::getNew($db)
					->select('rooms.*, ro_descr')
					->from('#__domus_prop_rooms rooms')
					->innerJoin('#__domus_rooms ON pro_id_rooms = id_rooms');

		$property = $this->getState('pro_id_properties', 0, 'int');
		if($property)
		{
			$query->where('pro_id_properties = '.$property);
		}

		return $query;
	}
}