<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die('Restricted access');
	$this->loadHelper('select');
?>
<div id="domus">
	<form id="adminForm" name="adminForm" action="<?php echo $this->actionUrl ?>" method="post">

		<table class="w100_">
			<tr>
				<td class="bold w150"><?php echo JText::_('COM_DOMUS_PROP_ATTRIBUTE')?></td>
				<td><?php echo DomusHelperSelect::createList('prop_attr', 'att_type', $this->item->att_type, 'class="w150" data-validators="required"')?></td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_DESCR')?></td>
				<td>
					<input type="text" class="w200" name="att_descr"
						data-validators="required"
						title="<?php echo JText::_('COM_DOMUS_DESCR')?>"
						value="<?php echo $this->item->att_descr?>" />
				</td>
			</tr>
		</table>

		<input type="hidden" name="option" value="com_domus" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="view" value="attribute" />
		<input type="hidden" name="id_attributes" value="<?php echo $this->item->id_attributes?>" />
		<input type="hidden" name="<?php echo JUtility::getToken();?>" value="1" />
	</form>
</div>