<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die('Restricted access');
	$this->loadHelper('html');
	$this->loadHelper('fancy');

	DomusHelperFancy::addTable();

	//at the moment this part isn't ready yet
	//$col1 = 2 + DOMUS_PRO;
	//$col2 = 3 + DOMUS_PRO;
	$col1 = 2;
	$col2 = 3;

	$dataLanguage = FOFTemplateUtils::parsePath('com_domus/library/datatables/language/'.JFactory::getConfig()->get('language').'.txt');
?>
<script type="text/javascript">
jQuery.noConflict();
jQuery(document).ready(function($){
	var dataTable = $('#dataTable').dataTable({
		"aaSorting": [[<?php echo $col1 ?>, 'asc'],[<?php echo $col2?>, 'asc' ]],
		"bStateSave": false,
		"sPaginationType": "full_numbers",
		"oLanguage": {
			"sUrl" : "<?php echo $dataLanguage ?>"
		}
	});

	$("#dataTable tbody").click(function(event) {
		$(dataTable.fnSettings().aoData).each(function (){
			$(this.nTr).removeClass('row_selected');
		});
		$(event.target.parentNode).addClass('row_selected');
	});
});
</script>
<div id="domus">
	<form action="<?php echo JRoute::_('index.php?option=com_domus&view=categories') ?>" method="post" name="adminForm" id="adminForm"  style="margin-top:15px">
		<table cellpadding="0" cellspacing="0" border="0" class="display" id="dataTable">
			<thead>
				<th class="w5_">&nbsp;</th>
				<?php /*if(DOMUS_PRO) { ?><th class="w10_"><?php echo JText::_('COM_DOMUS_IMAGE')?></th><?php } */ ?>
				<th><?php echo JText::_('COM_DOMUS_CATEGORY') ?></th>
				<th><?php echo JText::_('COM_DOMUS_CAT_PARENT') ?></th>
				<th><?php echo JText::_('COM_DOMUS_ORDER')?></th>
				<th class="w5_"><?php echo JText::_('COM_DOMUS_CAT_ITEMS')?></th>
				<th class="w5_"><?php echo JText::_('JPUBLISHED')?></th>
			</thead>
			<tbody>
			<?php
				if($this->items)
				{
					foreach($this->items as $row)
					{
						$checkbox = JHTML::_('grid.id',  $i, $row->id_categories);
			?>
				<tr>
					<td class="center"><?php echo $checkbox?></td>
					<?php /* if(DOMUS_PRO) { ?><td class="center">&nbsp;</td><?php } */?>
					<td class="txt_left">
						<a href="<?php echo JRoute::_('index.php?option=com_domus&view=category&task=edit&id='.$row->id_categories)?>">
							<?php echo $row->cat_name?>
						</a>
					</td>
					<td>
						<a href="<?php echo JRoute::_('index.php?option=com_domus&view=category&task=edit&id='.$row->cat_parent)?>">
							<?php echo $row->parent_name?>
						</a>
					</td>
					<td class="center"><?php echo $row->ordering?></td>
					<td class="center"><?php echo $row->cat_entries?></td>
					<td class="center"><?php echo DomusHelperHtml::published($row->cat_published)?></td>
				</tr>
				<?php
					}
				}
					?>
			</tbody>
		</table>

		<input type="hidden" name="option" value="com_domus" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="view" value="categories" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="<?php echo JUtility::getToken();?>" value="1" />
	</form>
</div>