<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die('Restricted access');
	$this->loadHelper('select');

	$sql['ordering'] = array('id'	 => 'ordering',
							 'descr' => "CONCAT(ordering, ' ',cat_name)",
							 'table' => 'domus_categories',
							 'where' => 'cat_parent = '.$this->item->cat_parent,
							 'order' => 'ordering');
	$sql['parent']	 = array('id'	 => 'id_categories',
							 'descr' => 'cat_name',
							 'table' => 'domus_categories',
							 'where' => 'cat_parent = 0 AND id_categories != '.(int) $this->item->id_categories);

	if($this->item->id_categories)	$opt['ordering'] = DomusHelperSelect::buildSelectOptions($sql['ordering']);
	else							$opt['ordering'] = array(array('value' => '', 'text' => JText::_('COM_DOMUS_SELECT_LIST')));
	$opt['parent']   = DomusHelperSelect::buildSelectOptions($sql['parent'], 'COM_DOMUS_CAT_NO_PARENT', 0);

?>
<div id="domus">
	<form id="adminForm" action="<?php echo JRoute::_('index.php?option=com_domus&view=category') ?>" method="post">

		<table class="w100_">
			<tr>
				<td class="bold w120"><?php echo JText::_('COM_DOMUS_TITLE')?></td>
				<td>
					<input type="text" class="w200" name="cat_name"
						   data-validators="required"
						   title="<?php echo JText::_('COM_DOMUS_TITLE')?>"
						   value="<?php echo $this->item->cat_name?>" />
				</td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_ALIAS')?></td>
				<td>
					<input class="w200" type="text" name="cat_alias"
							title="<?php echo JText::_('COM_DOMUS_ALIAS')?>" value="<?php echo $this->item->cat_alias?>" />
				</td>
			</tr>
		<?php
		//at the moment this part isn't ready, yet
		/*	if(DOMUS_PRO):
		?>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_DESCR')?></td>
				<td>
					<?php echo JFactory::getEditor()->display( 'cat_description', $this->item->cat_description, '600px', '250', '75', '20', false ) ?>
				</td>
			</tr>
			<?php endif; */?>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_ORDER')?></td>
				<td><?php echo DomusHelperSelect::createSelectList($opt['ordering'], 'ordering', $this->item->ordering, 'class="w150"');?></td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_CAT_PARENT')?></td>
				<td><?php echo DomusHelperSelect::createSelectList($opt['parent'], 'cat_parent', $this->item->cat_parent, 'class="w150"');?></td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('JPUBLISHED')?></td>
				<td><?php echo JHTML::_('select.booleanlist', 'cat_published', '', $this->item->cat_published);?></td>
			</tr>
		</table>

		<input type="hidden" name="option" value="com_domus" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="view" value="category" />
		<input type="hidden" name="id_categories" value="<?php echo $this->item->id_categories?>" />
		<input type="hidden" name="<?php echo JUtility::getToken();?>" value="1" />
	</form>
</div>