<?php
/**
 * @package    Domus Organizer
 * @subpackage Layouts
 * @author     Davide Tampellini
 * @copyright  Copyright (c)2011-2012 Davide Tampellini
 * @license    GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die('Restricted access');
	JHTML::_('behavior.modal');

	$data = $this->item;

	$add   = FOFTemplateUtils::parsePath('com_domus/images/add_16.png');

	//enable property linkage only if i have a customer
	if(!$data->id_customers):
		echo '<div class="center" style="margin-top:15px">'.JText::_('COM_DOMUS_SAVE_BEFORE_PROPERTIES').'</div>';
	else:
?>
<script type="text/javascript">
	function addProperty(prop)
	{
		SqueezeBox.close();
		if(prop.length == 0) return;

		var customer = document.id('id_customers').value;
		var token	 = document.id('token').value;

		var getProp = new Request.HTML({
							url  : 'index.php?option=com_domus&view=properties&format=raw&layout=custprop',
							data : {
									'task' 		: 'getProps',
									'prop_own' 	: customer},
							onSuccess : function(responseTree, responseElements, responseHTML, responseJavaScript)
							{
								document.id('propHolder').empty().setStyle('text-align', '').set('html', responseHTML);
							}
						});
		var addProp = new Request.JSON({
							url 	  : 'index.php?option=com_domus&view=propown&task=add&format=json&'+token+'=1',
							onRequest : function(){
								var waiting = new Element('img', {
									'src' : 'media/com_domus/images/circleLoader.gif'
									});
								document.id('propHolder').empty().setStyle('text-align', 'center').adopt(waiting);
							},
							onSuccess : function(){
								getProp.send();
							}
						});

		addProp.post({'id_cust' : customer, 'id_prop' : prop});
	}
</script>
<div id="propHolder" style="margin-top:15px">
	<?php
		$this->items = FOFModel::getTmpInstance('Properties', 'DomusModel')
						->prop_owner($data->id_customers)
						->getList(true);
		$params['lite'] 	  = 1;
		$params['hideSearch'] = 1;
		$params['showRemove'] = 1;
		echo $this->loadAnyTemplate('site:com_domus/properties/default', $params);
	?>
</div>

<div class="txt_right" style="margin-top:10px">
	<a href="index.php?option=com_domus&view=properties&task=chooseProp&tmpl=component&layout=chooseprop&id_customers=<?php echo $data->id_customers?>" class="modal"
		rel="{size : {'x' : 800, 'y' : 550}, handler : 'iframe'}">
		<img src="<?php echo $add ?>" />
		<?php echo JText::_('COM_DOMUS_ADD_PROPERTY')?>
	</a>
</div>
<?php endif; ?>