<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */
defined('_JEXEC') or die();

$properties  = FOFModel::getAnInstance('Properties', 'DomusModel');
$this->items = $properties
				->not_prop_owner(FOFInput::getInt('id_customers', 0, $this->input))
				->query_string(FOFInput::getVar('query_string', '', $this->input))
				->internal_publish(FOFInput::getInt('internal_publish', 0, $this->input))
				->filter_order(FOFInput::getCmd('filter_order', 'created_on', $this->input))
				->filter_order_Dir(FOFInput::getCmd('filter_order_Dir', 'DESC', $this->input))
				->getList();

$this->pagination = $properties->getPagination();
	$params['hideLinks'] = 1;
echo $this->loadAnyTemplate('site:com_domus/properties/default', $params);