<?php
/**
 * @package    Domus Organizer
 * @subpackage Layouts
 * @author     Davide Tampellini
 * @copyright  Copyright (c)2011-2012 Davide Tampellini
 * @license    GNU General Public License version 3, or later
 */

	defined( '_JEXEC' ) or die( 'Restricted access' );
	JHTML::_('behavior.modal');

	FOFTemplateUtils::addJS('com_domus/js/property_edit.js');
	$this->loadHelper('html');
	$this->loadHelper('select');

	$data = $this->item;

	$trash = FOFTemplateUtils::parsePath('com_domus/images/recycleBin_empty_16.png');
?>
<div id="domus">
	<form id="adminForm" action="<?php echo JRoute::_('index.php?option=com_domus&view=property') ?>" method="post" enctype="multipart/form-data">
		<?php
			echo DomusHelperHtml::startPane(true);
			echo JHTML::_('tabs.panel', JText::_('COM_DOMUS_GENERAL_DESCR'), 'descr' );
				echo $this->loadTemplate('general');
			echo JHTML::_('tabs.panel', JText::_('COM_DOMUS_DETAILS'), 'details');
				echo $this->loadTemplate('details');
			echo JHTML::_('tabs.panel', JText::_('COM_DOMUS_POSITION'), 'position');
				echo $this->loadTemplate('position');
			echo JHTML::_('tabs.panel', JText::_('COM_DOMUS_IMAGES'), 'images');
				echo $this->loadTemplate('images');
			echo JHTML::_('tabs.panel', JText::_('COM_DOMUS_OWNERS'), 'owners');
				echo $this->loadTemplate('owners');
			echo JHTML::_('tabs.end');
		?>

		<input type="hidden" name="<?php echo JUtility::getToken();?>" value="1" />
		<input type="hidden" id="token" value="<?php echo JUtility::getToken();?>" />
		<input type="hidden" name="option" value="com_domus" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="view" value="property" />
		<input type="hidden" name="id_properties" id="id_properties" value="<?php echo $data->id_properties; ?>" />
		<input type="hidden" name="pr_id_agencies" value="1" />
	</form>

	<table class="hidden">
		<tr id="originalRooms">
			<td>
				<img class="sx pointer delete deleteRoom" src="<?php echo $trash ?>" />
				<?php echo DomusHelperSelect::createList('rooms', 'pro_id_rooms[]', '', 'class="w150"');?>
			</td>
			<td>
				<input type="text" name="pro_size[]" size="5" maxlength="5" value="" />
				<input type="hidden" name="id_prop_rooms[]" size="5" maxlength="5" value="" />
			</td>
		</tr>
	</table>
</div>