<?php
/**
 * @package    Domus Organizer
 * @subpackage Layouts
 * @author     Davide Tampellini
 * @copyright  Copyright (c)2011-2012 Davide Tampellini
 * @license    GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die('Restricted access');
	JHTML::_('behavior.modal');

	$data = $this->item;

	$add   = FOFTemplateUtils::parsePath('com_domus/images/add_16.png');

	//enable owner linkage only if i have a property
	if(!$data->id_properties):
		echo '<div class="center">'.JText::_('COM_DOMUS_SAVE_BEFORE_OWNERS').'</div>';
	else:
?>
<script type="text/javascript">
	function addOwner(own)
	{
		SqueezeBox.close();
		if(own.length == 0) return;

		var property = document.id('id_properties').value;
		var token	 = document.id('token').value;

		var getOwn = new Request.HTML({
							url  : 'index.php?option=com_domus&view=customers&format=raw&layout=custprop',
							data : {
									'task' 		: 'getOwners',
									'prop_own'  : property},
							onSuccess : function(responseTree, responseElements, responseHTML, responseJavaScript)
							{
								document.id('ownHolder').empty().setStyle('text-align', '').set('html', responseHTML);
							}
						});
		var addOwn = new Request.JSON({
							url 	  : 'index.php?option=com_domus&view=propown&task=add&format=json&'+token+'=1',
							onRequest : function(){
								var waiting = new Element('img', {
									'src' : 'media/com_domus/images/circleLoader.gif'
									});
								document.id('ownHolder').empty().setStyle('text-align', 'center').adopt(waiting);
							},
							onSuccess : function(){
								getOwn.send();
							}
						});

		addOwn.post({'id_prop' : property, 'id_cust' : own});
	}
</script>

<div id="ownHolder" style="margin-top:15px">
	<?php
		$this->items = FOFModel::getTmpInstance('Customers', 'DomusModel')
						->prop_owner($data->id_properties)
						->getList(true);
		$params['lite'] 	  = 1;
		$params['hideSearch'] = 1;
		$params['showRemove'] = 1;
		echo $this->loadAnyTemplate('site:com_domus/customers/default', $params);
	?>
</div>
<div class="txt_right" style="margin-top:10px">
	<a href="index.php?option=com_domus&view=customers&task=chooseOwn&tmpl=component&layout=chooseown&id_properties=<?php echo $data->id_properties?>" class="modal"
		rel="{size : {'x' : 800, 'y' : 550}, handler : 'iframe'}">
		<img src="<?php echo $add ?>" />
		<?php echo JText::_('COM_DOMUS_ADD_OWNER')?>
	</a>
</div>
<?php endif;?>