<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die('Restricted access');
	$this->loadHelper('gmap');
	$data = $this->item;

	$config['div'] 		 = 'admin';
	$config['coords'] 	 = $data->pr_mapcoords;
	$config['exclusive'] = 1;	#always true to display the marker
	$config['refresh']['element'] = '.position';
	$config['refresh']['event']	  = 'click';

	$doc 	 = JFactory::getDocument();
	$doc->addStyleDeclaration('.gmap_nomargin div {margin: 0}');
?>

<div>
	<div class="holder">
		<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_STREET_NUM_INT')?></div>
		<div class="fb_value"><?php echo $data->st_descr.' '.$data->pr_street.' '.$data->pr_streetnr.' '.$data->pr_internal_nr; ?></div>
	</div>
	<div class="clr"></div>
	<div class="holder">
		<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_DISTR_TOWN_ZIP')?></div>
		<div class="fb_value"><?php echo '('.$data->di_descr.') '.$data->to_descr; ?></div>
		<div class="fb_value"><?php echo $data->pr_zipcode; ?></div>
	</div>
	<div class="clr"></div>
	<div class="holder">
		<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_ZONE_SZONE')?></div>
		<div class="fb_value"><?php echo $data->zo_descr; ?></div>
		<div class="fb_value"><?php echo $data->sz_descr; ?></div>
	</div>
	<div class="clr"></div>
</div>
<br/>
<div style="height:500px">
<?php
	DomusHelperGmap::createMap(false, $config, true);
?>
</div>