<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Views
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */
defined('_JEXEC') or die();

class DomusViewProperty extends FOFViewHtml
{
	function onRead($tpl = null)
	{
		$return = parent::onRead($tpl);

		$toolbar = FOFToolbar::getAnInstance(FOFInput::getCmd('option','com_foobar',$this->input), $this->config);
		$toolbar->viewData = $this->item;

		return $return;
	}

	function onEdit($tpl = null)
	{
		$return = parent::onEdit($tpl);

		$toolbar = FOFToolbar::getAnInstance(FOFInput::getCmd('option','com_foobar',$this->input), $this->config);
		$toolbar->viewData = $this->item;

		return $return;
	}
}