<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Views
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */
defined('_JEXEC') or die();

class DomusViewPublics extends FOFViewHtml
{
	/**
	 * This view doesn't have any own element, but it will simply load items
	 * picked from different classes. So there is no need to add logic here,
	 * since I will use the getTmpInstance method inside the layout.
	 */
	protected function onDisplay($tpl = null)
	{
		$params = JFactory::getApplication()->getParams();

		// Load the model
		$model = $this->getModel();

		// ...ordering
		$this->lists->set('order',		$model->getState('filter_order', 'id', 'cmd'));
		$this->lists->set('order_Dir',	$model->getState('filter_order_Dir', 'DESC', 'cmd'));

		$this->assignRef('params', $params);

		return true;
	}
}