<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */
	defined('_JEXEC') or die('Restricted access');
	$this->loadHelper('select');

	$data = $this->item;
?>
<script type="text/javascript">
window.addEvent('domready', function(){
	document.id('district').addEvent('change', function(){
		var self = this;
		JSON_ajax.options.target = document.id('towns');
		JSON_ajax.post({
			'view': 'towns',
			'to_id_districts' : self.value
		})
	});

	document.id('towns').addEvent('change', function(){
		var self = this;
		JSON_ajax.options.target = document.id('sz_id_zones');
		JSON_ajax.post({
			'view': 'zones',
			'zo_id_towns'  : self.value
		})
	});
});
</script>
<div id="domus">
	<form id="adminForm" action="<?php echo JRoute::_('index.php?option=com_domus&view=szone') ?>" method="post">

		<table class="w100_">
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_DISTRICT')?></td>
				<td>
					<?php echo DomusHelperSelect::createList('district', 'district',
								$data->to_id_districts,
								'class="w150" data-validators="required" title="'.JText::_('DISTRICT').'"');?>
				</td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_TOWN')?></td>
				<td>
					<?php echo DomusHelperSelect::createTownList('towns',
									$data->to_id_districts,
									$data->zo_id_towns,
									'class="w150" data-validators="required" title="'.JText::_('COM_DOMUS_TOWN').'"')?>
				</td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_ZONE')?></td>
				<td>
					<?php echo DomusHelperSelect::createZoneList('sz_id_zones',
									$data->zo_id_towns,
									$data->sz_id_zones,
									'class="w150" data-validators="required" title="'.JText::_('COM_DOMUS_ZONE').'"')?>
				</td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_SZONE')?></td>
				<td>
					<input type="text" class="w200"
						data-validators="required"
						title="<?php echo JText::_('COM_DOMUS_SZONE')?>"
						name="sz_descr" value="<?php echo $data->sz_descr?>" />
				</td>
			</tr>
		</table>

		<input type="hidden" name="option" value="com_domus" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="view" value="szone" />
		<input type="hidden" name="id_szones" value="<?php echo $this->item->id_szones?>" />
		<input type="hidden" name="<?php echo JUtility::getToken();?>" value="1" />
	</form>
</div>