<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die('Restricted access');
	$this->loadHelper('select');
?>
<div id="domus">
	<form id="adminForm" action="<?php echo JRoute::_('index.php?option=com_domus&view=town') ?>" method="post">

		<table class="w100_">
			<tr>
				<td class="bold w100"><?php echo JText::_('COM_DOMUS_DISTRICT')?></td>
				<td><?php echo DomusHelperSelect::createList('district', 'to_id_districts', $this->item->to_id_districts, 'class="w150" data-validators="required" title="'.JText::_('COM_DOMUS_DISTRICT').'"')?></td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_TOWN')?></td>
				<td>
					<input class="w200" type="text" name="to_descr"
						data-validators="required"
						title="<?php echo JText::_('COM_DOMUS_TOWN')?>" value="<?php echo $this->item->to_descr?>" />
				</td>
			</tr>
		</table>

		<input type="hidden" name="option" value="com_domus" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="view" value="town" />
		<input type="hidden" name="id_towns" value="<?php echo $this->item->id_towns?>" />
		<input type="hidden" name="<?php echo JUtility::getToken();?>" value="1" />
	</form>
</div>