<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */
	defined('_JEXEC') or die('Restricted access');
	$this->loadHelper('fancy');
	$this->loadHelper('html');

	DomusHelperFancy::addTable();

	$dataLanguage = FOFTemplateUtils::parsePath('com_domus/library/datatables/language/'.JFactory::getConfig()->get('language').'.txt');
?>
<script type="text/javascript">
jQuery.noConflict();
jQuery(document).ready(function($){
	var dataTable = $('#dataTable').dataTable({
		"aaSorting": [[2, 'asc']],
		"bStateSave": false,
		"sPaginationType": "full_numbers",
		"oLanguage": {
			"sUrl" : "<?php echo $dataLanguage ?>"
		}
	});

	$("#dataTable tbody").click(function(event) {
		$(dataTable.fnSettings().aoData).each(function (){
			$(this.nTr).removeClass('row_selected');
		});
		$(event.target.parentNode).addClass('row_selected');
	});
});
</script>
<div id="domus">
	<form action="<?php echo JRoute::_('index.php?option=com_domus&view=types') ?>" method="post" name="adminForm" id="adminForm">
		<table cellpadding="0" cellspacing="0" border="0" class="display" id="dataTable">
			<thead>
				<th class="w5_">&nbsp;</th>
				<th><?php echo JText::_('COM_DOMUS_TYPE') ?></th>
				<th><?php echo JText::_('COM_DOMUS_ORDER')?></th>
				<th class="w5_"><?php echo JText::_('JPUBLISHED')?></th>
			</thead>
			<tbody>
				<?php
					foreach($this->items as $row)
					{
						$checkbox = JHTML::_('grid.id',  $i, $row->id_types);
				?>
				<tr>
					<td class="center"><?php echo $checkbox?></td>
					<td class="txt_left">
						<a href="<?php echo JRoute::_('index.php?option=com_domus&view=type&task=edit&id='.$row->id_types)?>">
							<?php echo $row->ty_name?>
						</a>
					</td>
					<td class="center"><?php echo $row->ordering?></td>
					<td class="center"><?php echo DomusHelperHtml::published($row->ty_published)?></td>
				</tr>
				<?php
					};
					?>
			</tbody>
		</table>
		<input type="hidden" name="option" value="com_domus" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="view" value="types" />
		<input type="hidden" name="<?php echo JUtility::getToken();?>" value="1" />
	</form>
</div>