window.addEvent('domready', function(){
			
	function fillLocationOptions()
	{
		var option 		= document.id('pr_id_street_type').getSelected();
		var street_type = option[0].value ? option[0].text : '';
		var option		= document.id('pr_id_districts').getSelected();
		var district	= option[0].value ? option[0].text : '';
		var option		= document.id('pr_id_towns').getSelected();
		if(option[0] != undefined) var town	= option[0].value ? option[0].text : '';
		var address 	= document.id('pr_street').value;
		var number 		= document.id('pr_streetnr').value;
		var geo_address = street_type + ' ' + document.id('pr_street').value + ' ' +  document.id('pr_streetnr').value + ' ' + town + ', ' + district;
		
		GEOCODER.geocode( { 'address': geo_address}, function(results, status)
		{
			if (status == google.maps.GeocoderStatus.OK)
			{
				var select = document.id('GMapList');
				select.empty();
				if(document.id('originalCoords').value){
					select.adopt(new Element('option', {'value' : document.id('originalCoords').value, 'text' : 'Saved position'}));}
	        	results.each(function(item)
	        	{
	        		var location = item.geometry.location.toString();
	        		location = location.replace(/(\(|\))/ig, '');
	            	var option = new Element('option', {'value' : location, 'text' : item.formatted_address});
	            	select.adopt(option);
	            })	            
	      	}
	    });
	}
	
	document.id('pr_id_street_type').addEvent('change', fillLocationOptions);
	document.id('pr_street').addEvent('change', fillLocationOptions);
	document.id('pr_streetnr').addEvent('change', fillLocationOptions);
	document.id('pr_id_districts').addEvent('change', fillLocationOptions);
	document.id('pr_id_towns').addEvent('change', fillLocationOptions);
	
	document.id('GMapList').addEvent('change', function()
	{
		var parts = this.value.split(',');
		var lat = parseFloat( parts[0] );
		var lon = parseFloat( parts[1] );
		lat = lat.toFixed(6);
		lon = lon.toFixed(6);
		
		var latlng = new google.maps.LatLng(lat, lon)
		
		customMarker.setPosition(latlng);
		MAP.panTo(latlng);
		
		document.id('pr_mapcoords').value = lat + ', ' + lon;
	});
	
	fillLocationOptions();
});