window.addEvent('domready', function(){
	document.id('addRoom').addEvent('click', function(){
		var clone = document.id('originalRooms').clone();
		
		var norows = $$('#rooms .norows');
		norows.each(function(item){item.addClass('hidden')});
		document.id('rooms').adopt(clone);
		norows.each(function(item){item.destroy()});
	});
		
	document.id('pr_id_districts').addEvent('change', function(){
		if(this.value == '') return;
		var self = this;
		JSON_ajax.options.target = document.id('pr_id_towns');
		JSON_ajax.post({
			'view' : 'towns',
			'to_id_districts'   : self.value
		});
	});
	
	document.id('pr_id_towns').addEvent('change', function(){
		if(this.value == '') return;
		var self = this;
		JSON_ajax.options.target = document.id('pr_id_zones');
		JSON_ajax.post({
			'view' : 'zones',
			'zo_di_towns'   : self.value
		});
	});
	
	document.id('pr_id_zones').addEvent('change', function(){
		if(this.value == '') return;
		var self = this;
		JSON_ajax.options.target = document.id('pr_id_szones');
		JSON_ajax.post({
			'view' : 'szones',
			'sz_id_zones'   : self.value
		});
	});
	
	document.id('adminForm').addEvent('click:relay(img.delete)', function(event, clicked)
	{
		var base_rmv = 'index.php?option=com_domus&task=remove&format=json&' + document.id('token').value + '=1';
		var parent	 = clicked.getParent().getParent();
		var element	 = 'td';
		
		if(clicked.hasClass('deleteImg')){
			parent 		= clicked.getParent().getParent().getParent().getParent().getParent().getParent();
			element		= 'div';
			var id		= clicked.getParent().getFirst('input[name="id_images[]"]')
			var rmvUrl 	= base_rmv + '&view=images';
			var rmvData	= {'id' : id.value};
			var colspan = 3;
			var wait 	= 'circleLoader.gif';
		}
		else if(clicked.hasClass('deleteRoom')){
			var id 	   	= clicked.getParent().getNext().getFirst('input[name="id_prop_rooms[]"]');
			var rmvUrl	= base_rmv + '&view=proprooms';
			var rmvData	= {'id' : id.value};
			var colspan = 3;
			var wait	= 'circleLoader2_16.gif';
		}
		else if(clicked.hasClass('deleteUpload')){
			var id		= 0;
			var colspan	= 2;
			var wait	= 'circleLoader2_16.gif';
		}
		else if(clicked.hasClass('deleteOwn')){
			var id      = clicked.getNext();
			var rmvUrl	= base_rmv + '&view=propown';
			var rmvData	= {'id_cust' : id.value, 'id_prop' : document.id('id_properties').value};
			var colspan = 3;
			var wait	= 'circleLoader2_16.gif';
		}
		else return;
		
		if(id.value > 0) if(confirm(Locale.get('Domus.confirmDelete')) == false) return;
		
		var image = new Element('img').setProperty('src', 'media/com_domus/images/' + wait);
		
		var waiting = new Element(element,{
									'colspan': colspan,
									'styles' : {
											'text-align' : 'center'
									}
								}).adopt(image);
		
		parent.empty().adopt(waiting);
		var parentFx = new Fx.Tween(parent,  {property: 'opacity'});
		
		if(id.value > 0)
		{
			var ajax = new Request({
				'url'  : rmvUrl,
				'data' : rmvData, 
				onSuccess : function(){
								parentFx.start(1, 0).chain(function(){this.subject.destroy()});
							}
			}).send();
		}
		else parentFx.start(1, 0).chain(function(){this.subject.destroy()});
	});


	document.id('adminForm').getElements('[type=text], textarea').each(function(el){new OverText(el);});
	
	document.id('addImage').addEvent('click', function(){
		var clone = document.id('uploadHolder').getFirst().getFirst().clone();
		var image = clone.getElements('input[name="prop_images[]"]');
		image.setProperty('type', 'text').value = '';
		image.setProperty('type', 'file');
		clone.getElements('.deleteUpload').removeClass('hidden');
				
		document.id('uploadHolder').adopt(clone);
	});
	
	var imgOrder = new Sortables(document.id('imagesList'), 
	{
		clone   : true,
		opacity : 0.5,
		onComplete: function()
		{
			var ids = imgOrder.serialize(false, function(element, index){
				if(element.getProperty('id')) return element.getProperty('id').replace('image_', '');
				else						  return 0;
			});
			
			var ids_url = '';
			ids.each(function(element, index){
				if(element > 0) ids_url += '&cid[]='+element+'&order[]='+ (index + 1);
			});
			
			new Request.JSON({
				url : 'index.php?option=com_domus&view=image&task=saveorder&format=json&'+document.id('token').value+'=1'+ids_url
			}).post();
			
			return;
			
			new Request.JSON({
				url  : RAW_URL + '&task=saveImgOrder',
				data : {'ids' : imgOrder.serialize()},
				onRequest : function(){
					var waiting = new Element('img', {
						'id'  : 'waiting',
						'src' : 'administrator/components/com_jdomus/assets/img/circleLoader2_16.gif',
						'styles' : {
							'margin-left' : '5px',
							'vertical-align' : 'bottom'
						}
					});
					//document.id('orderResult').set('html', Locale.get('JDomus.savingOrder')).adopt(waiting);
				},
				onSuccess : function(responseJSON){
					//document.id('orderResult').set('html', Locale.get('JDomus.orderSaved')).highlight();
				}
			}).post();
		}
	});
});