window.addEvent('load', function(){
	var thumbs = $$('.thumb');
	var slideshow = new SlideShow('slideshow', {
		autoplay : true,
		onShow: function(data)
		{
			thumbs[data.previous.index].removeClass('current');
			thumbs[data.next.index].addClass('current');
		}
	});

	thumbs.each(function(item, index){
		item.addEvent('click', function(event){
			event.stop();
			var transition = (slideshow.index < index) ? 'pushLeft' : 'pushRight';
			slideshow.show(index, {transition: transition});
		});
	});
})