<?php
/**
 * @package    	Domus Organizer
 * @subpackage	Modules
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */
	defined('_JEXEC') or die();

	$url['option'] = 'com_domus';
	$url['view']   = 'publics';
	$url['layout'] = 'categories';
	$itemid = DomusRouterHelper::findMenu($url)->id;
?>

<div class="domussearch<?php echo $moduleclass_sfx; ?>">
	<form action="index.php" method="get" autocomplete="off">
		<input type="hidden" name="option" value="com_domus" />
		<input type="hidden" name="view" value="publics"/>
		<input type="hidden" name="layout" value="search" />
		<input type="hidden" name="Itemid" value="<?php echo $itemid;?>" />

		<div style="margin:5px 10px">
			<div style="float:left;width:70px">
				<label for="cat_search"><?php echo JText::_('MOD_DOMUSSEARCH_CATEGORIES')?></label>
			</div>
			<?php echo $cats;?>
		</div>

		<div style="margin:5px 10px">
			<div style="float:left;width:70px">
				<label for="type_search"><?php echo JText::_('MOD_DOMUSSEARCH_TYPES')?></label>
			</div>
			<?php echo $types;?>
		</div>

		<div style="margin:5px 10px">
			<div style="float:left;width:70px">
				<label for="price_search"><?php echo JText::_('MOD_DOMUSSEARCH_PRICE')?></label>
			</div>
			<?php echo $price;?>
		</div>

	<?php if($params->get('showDistricts')):?>
		<div style="margin:5px 10px">
			<div style="float:left;width:70px">
				<label for="distr_search"><?php echo JText::_('MOD_DOMUSSEARCH_DISTRICTS')?></label>
			</div>
			<?php echo $districts;?>
		</div>
	<?php endif;?>

		<div style="margin:5px 10px">
			<div style="float:left;width:70px">
				<label for="town_search"><?php echo JText::_('MOD_DOMUSSEARCH_TOWNS')?></label>
			</div>
			<?php echo $towns;?>
		</div>

	<?php if($params->get('showZones')):?>
		<div style="margin:5px 10px">
			<div style="float:left;width:70px">
				<label for="zone_search"><?php echo JText::_('MOD_DOMUSSEARCH_ZONES')?></label>
			</div>
			<?php echo $zones;?>
		</div>
	<?php endif;?>

	<?php if($params->get('showSzones')):?>
		<div style="margin:5px 10px">
			<div style="float:left;width:70px">
				<label for="szone_search"><?php echo JText::_('MOD_DOMUSSEARCH_SZONES')?></label>
			</div>
			<?php echo $szones;?>
		</div>
	<?php endif;?>
		<div style="clear:both"></div>

		<input type="submit" value="<?php echo JText::_('JSUBMIT')?>" />

	</form>
</div>