<?php
/**
 * @package    	Domus Organizer
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

JHTML::_('behavior.mootools');

//avoid errors if FOF library is not installed
if(file_exists(JPATH_LIBRARIES.'/fof/include.php')) include_once JPATH_LIBRARIES.'/fof/include.php';
else{
	echo 'FrameworkOnFramework library is not installed.<br/>';
	echo 'Please install our package again or post in our forums if the problem still occurs';
	return;
}

FOFTemplateUtils::addCss('com_domus/css/main.css');
FOFTemplateUtils::addCss('com_domus/css/classes.css');
FOFTemplateUtils::addCss('com_domus/css/backend.css');

FOFTemplateUtils::addJS('com_domus/js/helper.js');

//set Mootools language
$lng = JFactory::getConfig()->get('language');
if(!file_exists(JPATH_ROOT.'/media/com_domus/js/language/Locale.'.$lng.'.js')) $lng = 'en-GB';

FOFTemplateUtils::addJS('com_domus/js/language/Locale.'.$lng.'.js');

FOFDispatcher::getAnInstance('com_domus')->dispatch();