TRUNCATE `#__domus_customers`;
INSERT INTO `#__domus_customers` (`id_customers`, `cu_name`, `cu_surname`, `cu_type`, `cu_id_customer_groups`, `cu_company_name`, `cu_id_street_type`, `cu_street`, `cu_streetnr`, `cu_zipcode`, `cu_id_towns`, `cu_zone`, `cu_szone`, `cu_id_districts`, `cu_id_country`, `cu_telephone`, `cu_prefix`, `cu_mobile`, `cu_fax`, `cu_email`, `cu_sex`, `cu_date_birth`, `cu_district_birth`, `cu_town_birth`, `cu_prev_number`, `cu_vat`, `cu_note`, `cu_id_sources`, `created_by`, `modified_by`, `created_on`, `modified_on`, `cu_keywords`, `cu_locked_by`, `cu_locked_on`, `cu_req_id_types`, `cu_req_max_price`, `cu_req_min_space`, `cu_req_max_floor`, `cu_req_max_units`, `cu_req_id_categories_1`, `cu_req_id_categories_2`, `cu_req_id_categories_3`) VALUES
(1, 'Mario', 'Rossi', 'C', 1, '', 17, 'roma', '38', '', 1, 0, 0, 1, '', '555-324890', '', '348-0005678703', '', 'mario.rossi@test.com', 'M', '1972-03-15', 1, 1, '1234567890123', '', '', 9, 42, 0, '2012-03-06 07:15:33', '0000-00-00 00:00:00', '', 0, '0000-00-00 00:00:00', 2, 1, 80, 4, 0, 66, 0, 0);

TRUNCATE `#__domus_cust_requests`;
INSERT INTO `#__domus_cust_requests` (`req_id_customers`, `req_id_attributes`) VALUES
(1, 4),
(1, 7),
(1, 12),
(1, 21);

TRUNCATE `#__domus_cust_rooms`;
INSERT INTO `#__domus_cust_rooms` (`id_cust_rooms`, `cr_id_customers`, `cr_id_rooms`, `cr_quantity`) VALUES
(1, 1, 6, 1);

TRUNCATE `#__domus_cust_towns`;
INSERT INTO `#__domus_cust_towns` (`id_cust_towns`, `ct_id_customers`, `ct_id_districts`, `ct_id_towns`, `ct_id_zones`, `ct_id_szones`) VALUES
(1, 1, 2, 2, 0, 0),
(2, 1, 1, 1, 0, 0);

TRUNCATE `#__domus_properties`;
INSERT INTO `#__domus_properties` (`id_properties`, `pr_obj_id`, `pr_id_yards`, `pr_start_position`, `pr_end_position`, `pr_id_agencies`, `pr_id_categories`, `pr_id_types`, `pr_title`, `pr_alias`, `pr_descr`, `pr_notes`, `pr_rooms`, `pr_bedrooms`, `pr_wc`, `pr_space`, `pr_floor`, `pr_floors_tot`, `pr_units`, `pr_levels`, `pr_monthly_exp`, `pr_id_energy_class`, `pr_built`, `pr_renovation`, `pr_garden_sup`, `pr_price`, `pr_price_min`, `pr_negotiable`, `pr_private_treaty`, `pr_exclusive`, `pr_id_street_type`, `pr_street`, `pr_streetnr`, `pr_internal_nr`, `pr_zipcode`, `pr_id_towns`, `pr_id_districts`, `pr_id_zones`, `pr_id_szones`, `pr_hits`, `pr_hot`, `pr_home_page`, `pr_mapcoords`, `pr_metadesc`, `pr_metakey`, `pr_keywords`, `created_on`, `modified_on`, `created_by`, `modified_by`, `pr_publish_up`, `pr_publish_down`, `enabled`, `pr_domus_published`, `pr_locked_by`, `pr_locked_on`) VALUES
(1, 'A100', NULL, '2012-05-15', '2013-05-15', 1, 66, 1, 'Lorem ipsum', 'a100', '<p>Vestibulum malesuada suscipit congue. Sed a nisl mi; sed tristique tortor. Nulla ullamcorper nisi quis ante dignissim ut mattis orci interdum. Duis commodo porta eros, sed placerat libero ullamcorper ac. Integer et nisi et mi aliquam rutrum. Nulla facilisi. P</p>\r\n<p>roin a ipsum nisl, non volutpat libero. Curabitur faucibus sollicitudin lorem, eu mattis felis vehicula nec. Etiam rutrum purus pharetra quam venenatis euismod. Duis dignissim tristique tellus, a malesuada libero tristique sit amet. Integer eleifend gravida felis id euismod. Curabitur quis congue quam! Fusce sit amet ante erat, at interdum turpis. Suspendisse hendrerit euismod magna in tempus.</p>', '', 6, 2, 0, 230.00, 3, 5, 10, 1, NULL, 0, 1970, 2010, 12.00, 315000, 300000, 0, 0, 0, 17, 'paisiello', '28', '', '', 1, 1, 0, 0, 0, 0, 0, '43.782304, 11.230599', '', '', '', '2012-05-15 13:36:35', '0000-00-00 00:00:00', 42, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 1, 0, '0000-00-00 00:00:00');

TRUNCATE `#__domus_prop_attributes`;
INSERT INTO `#__domus_prop_attributes` (`patt_id_properties`, `patt_id_attributes`) VALUES
(1, 1),
(1, 7),
(1, 11),
(1, 17),
(1, 20),
(1, 33),
(1, 39),
(1, 47),
(1, 51),
(1, 54),
(1, 57),
(1, 59),
(1, 62),
(1, 64);

TRUNCATE `#__domus_prop_owners`;
INSERT INTO `#__domus_prop_owners` (`pow_id_properties`, `pow_id_customers`) VALUES
(1, 1);

TRUNCATE `#__domus_prop_rooms`;
INSERT INTO `#__domus_prop_rooms` (`id_prop_rooms`, `pro_id_properties`, `pro_id_rooms`, `pro_size`) VALUES
(3, 1, 2, 10.00),
(2, 1, 20, 8.00),
(4, 1, 8, 10.00),
(5, 1, 4, 5.00),
(6, 1, 7, 10.00),
(7, 1, 16, 14.00);

TRUNCATE `#__domus_attributes`;
INSERT INTO `#__domus_attributes` (`id_attributes`, `att_type`, `att_descr`, `att_ordering`, `att_input`) VALUES
(1, 'PROP_COND', 'Abitabile', 0, 'SELECT'),
(2, 'PROP_COND', 'Nuovo', 0, 'SELECT'),
(3, 'PROP_COND', 'Ristrutturato', 0, 'SELECT'),
(4, 'PROP_COND', 'Da ristrutturare', 0, 'SELECT'),
(5, 'OCCUPATION', 'Libero al rogito', 0, 'SELECT'),
(6, 'OCCUPATION', 'Occupato', 0, 'SELECT'),
(7, 'OCCUPATION', 'Libero Subito', 0, 'SELECT'),
(8, 'OCCUPATION', 'Attualmente Affittato', 0, 'SELECT'),
(9, 'EXPOSURE', 'Nord', 0, 'SELECT'),
(10, 'EXPOSURE', 'Sud', 0, 'SELECT'),
(11, 'EXPOSURE', 'Est', 0, 'SELECT'),
(12, 'EXPOSURE', 'Ovest', 0, 'SELECT'),
(13, 'EXPOSURE', 'Nord - Est', 0, 'SELECT'),
(14, 'EXPOSURE', 'Nord - Ovest', 0, 'SELECT'),
(15, 'EXPOSURE', 'Sud - Est', 0, 'SELECT'),
(16, 'EXPOSURE', 'Sud - Ovest', 0, 'SELECT'),
(17, 'AIR_COND', 'Si', 0, 'SELECT'),
(18, 'AIR_COND', 'No', 0, 'SELECT'),
(19, 'AIR_COND', 'Predisposizione', 0, 'SELECT'),
(20, 'FURNITURE', 'Non arredato', 0, 'SELECT'),
(21, 'FURNITURE', 'Nuovo arredato', 0, 'SELECT'),
(22, 'FURNITURE', 'Nuovo semi-arredato', 0, 'SELECT'),
(23, 'FURNITURE', 'Usato arredato', 0, 'SELECT'),
(24, 'FURNITURE', 'Usato semi-arredato', 0, 'SELECT'),
(25, 'BUILDING_TYPE', 'Immobile da studenti', 0, 'SELECT'),
(26, 'BUILDING_TYPE', 'Nuova costruzione', 0, 'SELECT'),
(27, 'BUILDING_TYPE', 'Lusso', 0, 'SELECT'),
(28, 'BUILDING_TYPE', 'Popolare', 0, 'SELECT'),
(29, 'BUILDING_TYPE', 'Epoca', 0, 'SELECT'),
(30, 'BUILDING_TYPE', 'Moderno', 0, 'SELECT'),
(31, 'BUILDING_TYPE', 'Indipendente', 0, 'SELECT'),
(32, 'BUILDING_TYPE', 'Recente', 0, 'SELECT'),
(33, 'BUILDING_TYPE', 'Condominio', 0, 'SELECT'),
(34, 'BUILDING_TYPE', 'Adatto da investimento', 0, 'SELECT'),
(35, 'BUILDING_STATE', 'Interventi sull''immobile', 0, 'SELECT'),
(36, 'BUILDING_STATE', 'Pessimo', 0, 'SELECT'),
(37, 'BUILDING_STATE', 'Sufficiente', 0, 'SELECT'),
(38, 'BUILDING_STATE', 'Discreto', 0, 'SELECT'),
(39, 'BUILDING_STATE', 'Buono', 0, 'SELECT'),
(40, 'BUILDING_STATE', 'Ottimo', 0, 'SELECT'),
(41, 'BUILDING_STATE', 'Ristrutturato', 0, 'SELECT'),
(42, 'BUILDING_STATE', 'Nuovo', 0, 'SELECT'),
(43, 'BUILDING_STATE', 'Recente', 0, 'SELECT'),
(44, 'HEATING', 'A pavimento', 0, 'SELECT'),
(45, 'HEATING', 'Altro', 0, 'SELECT'),
(46, 'HEATING', 'Termoconvettori', 0, 'SELECT'),
(47, 'HEATING', 'Radiatori', 0, 'SELECT'),
(48, 'HEATING_POWER', 'Energia elettrica', 0, 'SELECT'),
(49, 'HEATING_POWER', 'Pannelli solari', 0, 'SELECT'),
(50, 'HEATING_POWER', 'Geotermia', 0, 'SELECT'),
(51, 'HEATING_POWER', 'Legna', 0, 'SELECT'),
(52, 'HEATING_POWER', 'Gasolio', 0, 'SELECT'),
(53, 'HEATING_POWER', 'GAS-Metano', 0, 'SELECT'),
(54, 'HEATING_SUPPLY', 'Autonomo', 0, 'SELECT'),
(55, 'HEATING_SUPPLY', 'Centralizzato', 0, 'SELECT'),
(56, 'HEATING_SUPPLY', 'Non specificato', 0, 'SELECT'),
(57, 'GARDEN', 'Giardino privato', 0, 'SELECT'),
(58, 'GARDEN', 'Giardino condominiale', 0, 'SELECT'),
(59, 'LIFT', 'Ascensore', 0, 'BOOLEAN'),
(60, 'RECEPTION', 'Portineria', 0, 'BOOLEAN'),
(61, 'TOP_FLOOR', 'Ultimo piano', 0, 'BOOLEAN'),
(62, 'GARAGE', 'Singolo', 0, 'SELECT'),
(63, 'GARAGE', 'Doppio', 0, 'SELECT'),
(64, 'PARKAREA', 'Area coperta', 0, 'SELECT'),
(65, 'PARKAREA', 'Posto condominiale', 0, 'SELECT');

TRUNCATE `#__domus_categories`;
INSERT INTO `#__domus_categories` (`id_categories`, `cat_name`, `cat_alias`, `cat_description`, `cat_entries`, `cat_parent`, `ordering`, `cat_image`, `cat_published`) VALUES
(999, 'Residenziale', 'residenziale', '', 0, 0, 3, '', 1),
(989, 'Commerciale', 'commerciale', '', 0, 0, 1, '', 1),
(979, 'Industriale', 'industriale', '', 0, 0, 2, '', 1),
(939, 'Azienda', 'azienda', '', 0, 0, 4, '', 1),
(17, 'Villetta a Schiera', 'villetta-a-schiera', '', 0, 999, 1, '', 1),
(69, 'Magazzino / Deposito', 'magazzino-deposito', '', 0, 989, 1, '', 1),
(26, 'Villa bifamiliare', 'villa-bifamiliare', '', 0, 999, 2, '', 1),
(29, 'Hotel', 'hotel', '', 0, 939, 1, '', 1),
(31, 'Negozio', 'negozio', '', 0, 989, 2, '', 1),
(33, 'Capannone', 'capannone', '', 0, 979, 1, '', 1),
(44, 'Casa indipendente', 'casa-indipendente', '', 0, 999, 3, '', 1),
(59, 'Ufficio', 'ufficio', '', 0, 989, 3, '', 1),
(62, 'Monolocale', 'monolocale', '', 0, 999, 4, '', 1),
(64, 'Villa/Mono', 'villa-mono', '', 0, 999, 5, '', 1),
(66, 'Appartamento', 'appartamento', '', 0, 999, 6, '', 1),
(67, 'Attico', 'attico', '', 0, 999, 7, '', 1);

TRUNCATE `#__domus_customer_groups`;
INSERT INTO `#__domus_customer_groups` (`id_customer_groups`, `cg_descr`) VALUES
(NULL, 'Segnalatori'),
(NULL, 'Amici'),
(NULL, 'Notai'),
(NULL, 'Collaboratori'),
(NULL, 'Fornitori');

TRUNCATE `#__domus_rooms`;
INSERT INTO `#__domus_rooms` (`id_rooms`, `ro_group`, `ro_descr`) VALUES
(NULL, 'BEDROOM', 'Salone'),
(NULL, 'DEFAULT', 'Lavanderia'),
(NULL, 'DEFAULT', 'Mansarda'),
(NULL, 'DEFAULT', 'Ingresso'),
(NULL, 'DEFAULT', 'Ripostiglio'),
(NULL, 'BATHROOM', 'Bagno'),
(NULL, 'BEDROOM', 'Camera'),
(NULL, 'DEFAULT', 'Cucina'),
(NULL, 'DEFAULT', 'Sala'),
(NULL, 'DEFAULT', 'Balcone'),
(NULL, 'DEFAULT', 'Terrazza'),
(NULL, 'DEFAULT', 'Cantina'),
(NULL, 'DEFAULT', 'Taverna'),
(NULL, 'DEFAULT', 'R.C.'),
(NULL, 'DEFAULT', 'Disimpegno'),
(NULL, 'BEDROOM', 'Camera Matrimoniale'),
(NULL, 'BEDROOM', 'Camera singola'),
(NULL, 'BEDROOM', 'Camera doppia'),
(NULL, 'DEFAULT', 'Soggiorno'),
(NULL, 'DEFAULT', 'Cucinotto'),
(NULL, 'DEFAULT', 'Studio'),
(NULL, 'DEFAULT', 'Soppalco'),
(NULL, 'DEFAULT', 'Sottotetto'),
(NULL, 'DEFAULT', 'Angolo cottura'),
(NULL, 'DEFAULT', 'Giardino'),
(NULL, 'DEFAULT', 'Loggia'),
(NULL, 'DEFAULT', 'Guardaroba'),
(NULL, 'DEFAULT', 'Vano-servizio'),
(NULL, 'DEFAULT', 'Tinello');

TRUNCATE `#__domus_sources`;
INSERT INTO `#__domus_sources` (`id_sources`, `so_descr`) VALUES
(NULL, 'Già Cliente Agenzia'),
(NULL, 'Rinnovo Incarico'),
(NULL, 'Giornali/Riviste'),
(NULL, 'Internet'),
(NULL, 'Cartello Affisso'),
(NULL, 'Passaparola'),
(NULL, 'Cartello della Proprietà'),
(NULL, 'Notizia porta a porta'),
(NULL, 'Entrata in Agenzia');

TRUNCATE `#__domus_street_type`;
INSERT INTO `#__domus_street_type` (`id_street_type`, `st_descr`) VALUES
(NULL, 'Viale'),
(NULL, 'Vico'),
(NULL, 'Largo'),
(NULL, 'Calle'),
(NULL, 'Cortile'),
(NULL, 'Strada'),
(NULL, 'Piazzale'),
(NULL, 'Salita'),
(NULL, 'Corso'),
(NULL, 'Piazzetta'),
(NULL, 'Contrada'),
(NULL, 'Traversa'),
(NULL, 'Ramo'),
(NULL, 'Fondamenta'),
(NULL, 'Fondo'),
(NULL, 'Galleria'),
(NULL, 'Via'),
(NULL, 'Piazza'),
(NULL, 'Vicolo'),
(NULL, 'Località'),
(NULL, 'Lungarno');

TRUNCATE `#__domus_types`;
INSERT INTO `#__domus_types` (`id_types`, `ty_name`, `ty_alias`, `ordering`, `ty_published`) VALUES
(NULL, 'Affitto', 'affitto', 1, 1),
(NULL, 'Vendita', 'vendita', 2, 1);

TRUNCATE `#__domus_districts`;
INSERT INTO `#__domus_districts` (`id_districts`, `di_descr`, `di_descr_short`, `di_id_regions`) VALUES
(1, 'Firenze', 'FI', 0),
(2, 'Roma', 'RM', 0);

TRUNCATE `#__domus_towns`;
INSERT INTO `#__domus_towns` (`id_towns`, `to_id_districts`, `to_descr`) VALUES
(NULL, 1, 'Firenze'),
(NULL, 1, 'Barberino di Mugello'),
(NULL, 2, 'Roma'),
(NULL, 2, 'Pomezia');

TRUNCATE `#__domus_agencies`;
INSERT INTO `#__domus_agencies` (`id_agencies`, `ag_name`, `ag_address`, `ag_zip_code`, `ag_id_districts`, `ag_id_towns`, `ag_telephone`, `ag_fax`, `ag_email`) VALUES
(1, 'Domus Organizer', 'via delle prove 18', '50126', 1, 1, '055-65645778', '055-7683567', 'prova@email.it');