<?php
/**
 * @package    	Domus Organizer
 * @subpackage	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die();

	FOFTemplateUtils::addJS('com_domus/js/utilities.js');
	$unlock	 = FOFTemplateUtils::parsePath('com_domus/images/lock_open_32.png');
	$rebuild = FOFTemplateUtils::parsePath('com_domus/images/kservices_32.png');
	$sample	 = FOFTemplateUtils::parsePath('com_domus/images/black_board_32.png');
	$css	 = FOFTemplateUtils::parsePath('com_domus/images/css_32.png');
?>
<div id="domus">
	<div class="cpanel">
		<div class="icon-wrapper">
			<div class="icon">
				<a id="unlock" href="index.php?option=com_domus&view=utilities&task=unlock">
					<img src="<?php echo $unlock ?>">
					<span><?php echo JText::_('COM_DOMUS_UNLOCK')?></span>
				</a>
			</div>
		</div>
		<div class="icon-wrapper">
			<div class="icon">
				<a id="rebuildCustomers" href="index.php?option=com_domus&view=utilities&task=rebuildCustomers">
					<img style="padding:5px" src="<?php echo $rebuild ?>">
					<span><?php echo JText::_('COM_DOMUS_REBUILD_CUSTOMER_KEYS')?></span>
				</a>
			</div>
		</div>
		<div class="icon-wrapper">
			<div class="icon">
				<a id="rebuildProperties" href="index.php?option=com_domus&view=utilities&task=rebuildProperties">
					<img style="padding:5px" src="<?php echo $rebuild ?>">
					<span><?php echo JText::_('COM_DOMUS_REBUILD_PROPERTY_KEYS')?></span>
				</a>
			</div>
		</div>
		<div class="icon-wrapper">
			<div class="icon">
				<a href="index.php?option=com_domus&view=utilities&task=rebuildCSS">
					<img style="padding:5px" src="<?php echo $css ?>">
					<span><?php echo JText::_('COM_DOMUS_REBUILD_CSS')?></span>
				</a>
			</div>
		</div>
		<div class="clr"></div>
		<div class="icon-wrapper">
			<div class="icon">
				<a id="sampleData" href="index.php?option=com_domus&view=utilities&task=sampleData">
					<img style="padding:5px" src="<?php echo $sample ?>">
					<span><?php echo JText::_('COM_DOMUS_INSTALL_SAMPLE_DATA')?></span>
				</a>
			</div>
		</div>
	</div>
</div>