<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Controllers
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusControllerPropown extends FOFController
{
	public function execute($task)
	{
		//grecefully sends a redirect for un-authorized access
		if(parent::execute($task) === false)
		{
			$app = JFactory::getApplication();
			$app->redirect('index.php', JText::_('JERROR_ALERTNOAUTHOR'), 'notice');
		}
	}

	function add()
	{
		$db 	  = Jfactory::getDbo();

		$query = $db->getQuery(true)
					->insert('#__domus_prop_owners');

		$id_owns  = JRequest::getVar('id_cust');
		$id_props = JRequest::getVar('id_prop');

		if(is_array($id_owns))
		{
			foreach($id_owns as $id_own)
			{
				$query->values((int) $id_props.', '. (int) $id_own);
			}
		}
		elseif(is_array($id_props))
		{
			foreach($id_props as $id_prop)
			{
				$query->values((int) $id_prop.', '. (int) $id_owns);
			}
		}
		else
		{
			echo '1';
			return;
		}

		$rc = $db->setQuery($query)->Query();

		echo '1';
	}

	function remove()
	{
		$db = JFactory::getDbo();

		$id_cust = JRequest::getInt('id_cust');
		$id_prop = JRequest::getInt('id_prop');

		$query = $db->getQuery(true)
			 		->delete('#__domus_prop_owners')
			 		->where('pow_id_properties = '.$id_prop)
			 		->where('pow_id_customers  = '.$id_cust);

		$rc = $db->setQuery($query)->query();

		echo '1';
	}

	public function onBeforeBrowse()
	{
		//only authorized users can have acces to this part
		return $this->checkACL('core.manage');
	}
}
