<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Helpers
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusHelperCustomer
{
	public static function icons($type, $value)
	{
		switch($type)
		{
			case 'customer':
				if($value == 'C' || $value == 'B'){
					$img = 'customer.png';
					$title = JText::_('COM_DOMUS_CUSTOMER');
				}
				else{
					$img = 'customer_grey.png';
					$title = '';
				}

				break;

			case 'owner':
				if($value == 'O' || $value == 'B'){
					$img = 'house_blue.png';
					$title = JText::_('COM_DOMUS_OWNER');
				}
				else{
					$img = 'house_blue_grey.png';
					$title = '';
				}
				break;
		}

		$string = '<img src="'.FOFTemplateUtils::parsePath('com_domus/images/'.$img).'" ';
		if($title) $string .= 'title="'.$title.'"';
		$string .= ' />';

		return $string;
	}
}