<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Helpers
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusHelperEnhance
{
	public static function saveParams()
	{
		$db		= JFactory::getDbo();
		$params = JComponentHelper::getParams('com_domus');

		$data = (string) $params;
		$query = $db->getQuery(true)
					->update('#__extensions')
					->set('params = '.$db->quote($data))
					->where('element = '.$db->quote('com_domus'));
		return $db->setQuery($query)->query();
	}

	public static function doIhaveToRun()
	{
		$params = JComponentHelper::getParams('com_domus');

		$lastrun   = $params->get('lastCheck', 0);
		$nextcheck = $lastrun + 3600 * 4;
		$now	   = time();

		return ($now >= $nextcheck);
	}

	public static function setLastRun()
	{
		$params = JComponentHelper::getParams('com_domus');
		$params->set('lastCheck', time());

		self::saveParams();
	}
}