<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Models
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusModelReqattr extends FOFModel
{
	public function buildQuery($overrideLimits = false)
	{
		$db = $this->getDbo();
		$query = FOFQueryAbstract::getNew($db)
					->select('req_id_attributes as id, att_type, att_descr')
					->from('#__domus_cust_requests')
					->innerJoin('#__domus_attributes ON req_id_attributes = id_attributes');

		$customer = $this->getState('req_id_customers', 0, 'int');
		if($customer)
		{
			$query->where('req_id_customers = '.$customer);
		}

		return $query;
	}
}