<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Models
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class DomusModelReqrooms extends FOFModel
{
	public function buildQuery($overrideLimits = false)
	{
		$db = $this->getDbo();
		$query = FOFQueryAbstract::getNew($db)
					->select('rooms.*, cr_quantity, ro_descr')
					->from('#__domus_cust_rooms rooms')
					->innerJoin('#__domus_rooms ON cr_id_rooms = id_rooms');

		$customer = $this->getState('cr_id_customers', 0, 'int');
		if($customer)
		{
			$query->where('cr_id_customers = '.$customer);
		}

		return $query;
	}
}