<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die('Restricted access');
	$this->loadHelper('select');
?>
<script type="text/javascript">
window.addEvent('domready', function(){
	document.id('ag_id_districts').addEvent('change', function(){
		var self = this;
		JSON_ajax.options.target = document.id('ag_id_towns');
		JSON_ajax.post({
			'view': 'towns',
			'to_id_districts'  : self.value
		})
	});
});
</script>
<div id="domus">
	<form id="adminForm" action="<?php echo JRoute::_('index.php?option=com_domus&view=agency') ?>" method="post">

		<table class="w100_">
			<tr>
				<td class="bold w130"><?php echo JText::_('COM_DOMUS_COMPANY_NAME')?></td>
				<td>
					<input type="text" class="w250"
							data-validators="required"
							title="<?php echo JText::_('COM_DOMUS_COMPANY_NAME')?>"
							name="ag_name" value="<?php echo $this->item->ag_name;?>" />
				</td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_ADDRESS')?></td>
				<td>
					<input type="text" class="w250"
							data-validators="required"
							title="<?php echo JText::_('COM_DOMUS_ADDRESS')?>"
							name="ag_address" value="<?php echo $this->item->ag_address;?>" />
				</td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_DISTR_TOWN_ZIP')?></td>
				<td>
					<?php echo DomusHelperSelect::createList('district', 'ag_id_districts', $this->item->ag_id_districts, 'class="w150" data-validators="required"')?>
					<?php echo DomusHelperSelect::createTownList('ag_id_towns', $this->item->ag_id_districts, $this->item->ag_id_towns, 'class="w150" data-validators="required"')?>
					<input type="text" class="w50"
							data-validators="required"
							title="<?php echo JText::_('COM_DOMUS_ZIPCODE')?>"
							name="ag_zip" value="<?php echo $this->item->ag_zip;?>" />
				</td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_TELEPHONE')?></td>
				<td>
					<input type="text" class="w150"
							data-validators="required validate-digits"
							title="<?php echo JText::_('COM_DOMUS_TELEPHONE')?>"
							name="ag_telephone" value="<?php echo $this->item->ag_telephone;?>" />
				</td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_FAX')?></td>
				<td>
					<input type="text" class="w150"
							title="<?php echo JText::_('COM_DOMUS_FAX')?>"
							name="ag_fax" value="<?php echo $this->item->ag_fax;?>" />
				</td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_EMAIL')?></td>
				<td>
					<input type="text" class="w250"
							data-validators="required validate-email"
							title="<?php echo JText::_('COM_DOMUS_EMAIL')?>"
							name="ag_email" value="<?php echo $this->item->ag_email;?>" />
				</td>
			</tr>
		</table>

		<input type="hidden" name="option" value="com_domus" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="view" value="agency" />
		<input type="hidden" name="id_agencies" value="<?php echo $this->item->id_agencies; ?>" />
		<input type="hidden" name="<?php echo JUtility::getToken();?>" value="1" />
	</form>
</div>