<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die();
	$params = JComponentHelper::getParams('com_domus');

	$attribs = (array)$params->get('checkAttribs');
?>
<h3><?php echo JText::_('COM_DOMUS_CHECKS_WHY')?></h3>
<p>
	<?php echo JText::_('COM_DOMUS_CHECKS_MSG')?>
	<ul>
		<?php if(!$params->get('checkAgency')):?>
		<li><?php echo JText::sprintf('COM_DOMUS_CHECK_FAIL_AGENCY', JRoute::_('index.php?option=com_domus&view=agency&task=edit&id=1'))?></li>
		<?php endif;?>
		<?php if($attribs[0] !== true):?>
		<li><?php echo JText::sprintf('COM_DOMUS_CHECK_FAIL_ATTR', implode(', ', $attribs), JRoute::_('index.php?option=com_domus&view=attributes'))?></li>
		<?php endif;?>
		<?php if(!$params->get('checkCategories')):?>
		<li><?php echo JText::sprintf('COM_DOMUS_CHECK_FAIL_CATS', JRoute::_('index.php?option=com_domus&view=categories'))?></li>
		<?php endif;?>
		<?php if(!$params->get('checkDistricts')):?>
		<li><?php echo JText::sprintf('COM_DOMUS_CHECK_FAIL_DISTR', JRoute::_('index.php?option=com_domus&view=districts'))?></li>
		<?php endif;?>
		<?php if(!$params->get('checkTowns')):?>
		<li><?php echo JText::sprintf('COM_DOMUS_CHECK_FAIL_TOWNS', JRoute::_('index.php?option=com_domus&view=towns'))?></li>
		<?php endif;?>
		<?php if(!$params->get('checkTypes')):?>
		<li><?php echo JText::sprintf('COM_DOMUS_CHECK_FAIL_TYPES', JRoute::_('index.php?option=com_domus&view=types'))?></li>
		<?php endif;?>
		<?php if(!$params->get('checkUsers')):?>
		<li><?php echo JText::sprintf('COM_DOMUS_CHECK_FAIL_USER', JRoute::_('index.php?option=com_domus&view=users&task=edit'))?></li>
		<?php endif;?>
	</ul>
</p>