<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Views
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */
defined('_JEXEC') or die();

class DomusViewCpanel extends FOFViewHtml
{
	function display($tpl = null)
	{
		$params = JComponentHelper::getParams('com_domus');

		$this->loadHelper('checks');
		$this->loadHelper('enhance');

		$checks = true;

		if($params->get('runChecks', 1))	$checks = DomusHelperChecks::globalChecks();

		//mhm.. something wrong. Let's display the check screen
		if(!$checks)		$tpl = 'warnings';

		parent::display($tpl);
	}
}