<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die('Restricted access');
	JHTML::_('behavior.calendar');

	$this->loadHelper('html');

	$data   = $this->item;

	FOFTemplateUtils::addJS('com_domus/js/helper.js');
	FOFTemplateUtils::addJS('com_domus/js/customer_edit.js');
	$trash = FOFTemplateUtils::parsePath('com_domus/images/recycleBin_empty_16.png');
?>
<div id="domus">
	<form id="adminForm" class="noreset" action="<?php echo JRoute::_('index.php?option=com_domus&view=customer')?>" method="post" autocomplete="off">

		<?php
			echo DomusHelperHtml::startPane(true);
			echo JHTML::_('tabs.panel', JText::_('COM_DOMUS_GENERAL_DESCR'), 'descr' );
				echo $this->loadTemplate('general');
			echo JHTML::_('tabs.panel', JText::_('COM_DOMUS_REQUESTS'), 'requests');
				echo $this->loadTemplate('requests');
			echo JHTML::_('tabs.panel', JText::_('COM_DOMUS_PROPERTIES'), 'properties');
				echo $this->loadTemplate('properties');
			echo JHTML::_('tabs.end');
		?>

		<input type="hidden" id="token" value="<?php echo JUtility::getToken();?>" />
		<input type="hidden" name="<?php echo JUtility::getToken();?>" value="1" />
		<input type="hidden" name="option" value="com_domus" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="view" value="customer" />
		<input type="hidden" name="id_customers" id="id_customers" value="<?php echo $data->id_customers; ?>" />
	</form>
	<table class="hidden">
		<tr id="originalRooms">
			<td>
				<img class="sx pointer delete" src="<?php echo $trash ?>" />
				<?php echo DomusHelperSelect::createList('rooms', 'cr_id_rooms[]' , '', 'class="w150"');?>
			</td>
			<td>
				<input type="text" name="cr_quantity[]" size="5" maxlength="5" value="" />
				<input type="hidden" name="id_cust_rooms[]" size="5" value="" />
			</td>
		</tr>
	</table>
	<table class="hidden">
		<tr id="originalTowns">
			<td>
				<img class="sx pointer delete deleteTown" src="<?php echo $trash ?>" />
				<?php echo DomusHelperSelect::createList('district', 'ct_id_districts[]', '', 'class="w150 district"');?>
				<input type="hidden" name="id_cust_towns[]" size="5" value="" />
			</td>
			<td><?php echo DomusHelperSelect::createList('town', 'ct_id_towns[]' , '', 'class="w150 town"');?></td>
			<td><?php echo DomusHelperSelect::createList('zone', 'ct_id_zones[]' , '', 'class="w150 zone"');?></td>
			<td><?php echo DomusHelperSelect::createList('szone', 'ct_id_szones[]' , '', 'class="w150"');?></td>
		</tr>
	</table>
</div>