<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die('Restricted access');
	$data = $this->item;
?>
<fieldset>
	<legend><?php echo JText::_('COM_DOMUS_GENERAL_DESCR')?></legend>
	<div class="sx w50_">
		<div class="holder">
			<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_CUST_TYPE')?></div>
			<div class="fb_value"><?php echo DomusHelperHtml::decoFix('cust_type', $data->cu_type)?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_NAME')?></div>
			<div class="fb_value"><?php echo $data->cu_name;?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_COMPANY_NAME_SHORT')?></div>
			<div class="fb_value w220"><?php echo $data->cu_company_name;?></div>
		</div>
	<div class="clr"></div>
	</div>
	<div class="sx w50_">
		<div class="holder">
			<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_CUST_GROUP')?></div>
			<div class="fb_value"><?php echo $data->cg_descr?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_SURNAME')?></div>
			<div class="fb_value w220"><?php echo $data->cu_surname;?></div>
		</div>
		<div class="holder">
			<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_VAT_NR')?></div>
			<div class="fb_value"><?php echo $data->cu_vat;?></div>
		</div>
	</div>
	<div class="clr"></div>
	<div class="holder">
		<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_SEX')?></div>
		<div class="fb_value"><?php echo DomusHelperHtml::decoFix('sex', $data->cu_sex);?></div>
	</div>
	<div class="clr"></div>
	<div class="sx w50_">
		<div class="holder">
			<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_TELEPHONE')?></div>
			<div class="fb_value"><?php echo $data->cu_telephone;?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_MOBILE')?></div>
			<div class="fb_value"><?php echo $data->cu_mobile;?></div>
		</div>
	</div>
	<div class="sx w50_">
		<div class="holder">
			<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_FAX')?></div>
			<div class="fb_value"><?php echo $data->cu_fax;?></div>
		</div>
		<div class="clr"></div>
		<div class="holder">
			<div class="fb_label w90"><?php echo JText::_('COM_DOMUS_EMAIL')?></div>
			<div class="fb_value"><?php echo $data->cu_email;?></div>
		</div>
	</div>
</fieldset>
<fieldset>
	<legend><?php echo JText::_('COM_DOMUS_RESIDENCE')?></legend>
	<div class="holder">
		<div class="fb_label w130"><?php echo JText::_('COM_DOMUS_DISTR_TOWN_ZIP')?></div>
		<div class="fb_value"><?php echo $data->distr_res;?></div>
		<div class="fb_value"><?php echo $data->town_res;?></div>
		<div class="fb_value"><?php echo $data->cu_zipcode;?></div>
	</div>
	<div class="clr"></div>
	<div class="holder">
		<div class="fb_label w130"><?php echo JText::_('COM_DOMUS_ADDRESS')?></div>
		<div class="fb_value">
			<?php echo $data->st_descr ?>
			<?php echo $data->cu_street;?>
			<?php echo $data->cu_streetnr;?>
		</div>
	</div>
	<div class="clr"></div>
</fieldset>
<fieldset>
	<legend><?php echo JText::_('COM_DOMUS_PERSONAL_DATA')?></legend>
	<div class="holder">
		<div class="fb_label w130"><?php echo JText::_('COM_DOMUS_DATE_BIRTH')?></div>
		<div class="fb_value"><?php echo $data->cu_date_birth?></div>
	</div>
	<div class="clr"></div>
	<div class="holder">
		<div class="fb_label w130"><?php echo JText::_('COM_DOMUS_DISTR_TOWN_BIRTH')?></div>
		<div class="fb_value">
			<?php echo $data->distr_birth;?>
			<?php echo $data->town_birth;?>
		</div>
	</div>
	<div class="clr"></div>
	<div class="holder">
		<div class="fb_label w130"><?php echo JText::_('COM_DOMUS_PREV_NUMBER')?></div>
		<div class="fb_value"><?php echo $data->cu_prev_number;?></div>
	</div>
	<div class="clr"></div>
</fieldset>
<fieldset>
	<legend><?php echo JText::_('COM_DOMUS_OTHER')?></legend>
	<div class="holder">
		<div class="fb_label w130"><?php echo JText::_('COM_DOMUS_SOURCE')?></div>
		<div class="fb_value"><?php echo $data->so_descr;?></div>
	</div>
	<div class="clr"></div>
	<div class="holder">
		<div class="fb_label w130"><?php echo JText::_('COM_DOMUS_NOTES')?></div>
		<div class="fb_value w75_"><?php echo nl2br($data->cu_note);?></div>
	</div>
	<div class="clr"></div>
</fieldset>
	<div class="clr"></div>
	<div class="holder">
		<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_ADDED_BY')?></div>
		<div class="fb_value w110"><?php echo $data->add_name.' '.$data->add_surname ?></div>
	</div>
	<div class="holder">
		<div class="fb_label w130"><?php echo JText::_('COM_DOMUS_ADD_DATE')?></div>
		<div class="fb_value"><?php echo JHTML::date($data->created_on, JText::_('DATE_FORMAT_LC2')); ?></div>
	</div>
	<div class="clr"></div>
	<div class="holder">
		<div class="fb_label w110"><?php echo JText::_('COM_DOMUS_MODIFIED_BY')?></div>
		<div class="fb_value w110"><?php echo $data->mod_name.' '.$data->mod_surname ?></div>
	</div>
	<div class="holder">
		<div class="fb_label w130"><?php echo JText::_('COM_DOMUS_MODIFIED_DATE')?></div>
		<div class="fb_value"><?php echo JHTML::date($data->modified_on, JText::_('DATE_FORMAT_LC2')); ?></div>
	</div>
	<div class="clr"></div>