<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */
defined('_JEXEC') or die();

$customers   = FOFModel::getAnInstance('Customers', 'DomusModel');
$this->items = $customers
					->not_prop_owner(FOFInput::getInt('id_properties', 0, $this->input))
					->query_string(FOFInput::getVar('query_string', '', $this->input))
					->filter_order(FOFInput::getCmd('filter_order', 'created_on', $this->input))
					->filter_order_Dir(FOFInput::getCmd('filter_order_Dir', 'DESC', $this->input))
					->getList();

$this->pagination = $customers->getPagination();
	$params['hideLinks'] = 1;
echo $this->loadAnyTemplate('site:com_domus/customers/default', $params);