<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die('Restricted access');
	$this->loadHelper('select');
	$this->loadHelper('gmap');

	$data = $this->item;

	$config['div'] = 'admin';
	$config['coords'] = $data->pr_mapcoords;
	$config['refresh']['element'] = '.position';
	$config['refresh']['event']	  = 'click';

	$doc 	 = JFactory::getDocument();
	$doc->addStyleDeclaration('.gmap_nomargin div {margin: 0}');
?>

<div>
	<div class="holder">
		<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_STREET_NUM_INT')?></div>
		<div class="fb_value">
			<?php echo DomusHelperSelect::createList('street_type', 'pr_id_street_type', $data->pr_id_street_type, 'class="w100"'); ?>
		</div>
		<div class="fb_value"><input type="text" id="pr_street"   name="pr_street"   size="28" class="inputbox" maxlength="100" value="<?php echo $data->pr_street; ?>"  /></div>
		<div class="fb_value"><input type="text" id="pr_streetnr" name="pr_streetnr" size="5"  class="inputbox" maxlength="10"  value="<?php echo $data->pr_streetnr; ?>" /></div>
		<div class="fb_value"><input type="text" name="pr_internal_nr" size="5"  class="inputbox" maxlength="10"  value="<?php echo $data->pr_internal_nr; ?>" /></div>
	</div>
	<div class="clr"></div>
	<div class="holder">
		<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_DISTR_TOWN_ZIP')?></div>
		<div class="fb_value">
			<?php echo DomusHelperSelect::createList('district', 'pr_id_districts', $data->pr_id_districts, 'class="w150" data-validators="required" title="'.JText::_('DISTRICT').'"'); ?>
		</div>
		<div class="fb_value">
			<?php echo DomusHelperSelect::createTownList('pr_id_towns', $data->pr_id_districts, $data->pr_id_towns, 'class="w150" data-validators="required" title="'.JText::_('TOWN').'"'); ?>
		</div>
		<div class="fb_value"><input type="text" name="pr_zipcode" size="5" class="inputbox" maxlength="10" value="<?php echo $data->pr_zipcode; ?>" /></div>
	</div>
	<div class="clr"></div>
	<div class="holder">
		<div class="fb_label w120"><?php echo JText::_('COM_DOMUS_ZONE_SZONE')?></div>
		<div class="fb_value"><?php echo DomusHelperSelect::createZoneList('pr_id_zones', $data->pr_id_towns, $data->pr_id_zones, 'class="w150"'); ?></div>
		<div class="fb_value"><?php echo DomusHelperSelect::createSzoneList('pr_id_szones', $data->pr_id_zones, $data->pr_id_szones, 'class="w150"'); ?></div>
	</div>
	<div class="clr"></div>
</div>
<br/>
<div>
<?php
	DomusHelperGmap::createMap(true, $config);
?>
</div>
<input type="hidden" id="originalCoords" value="<?php echo $data->pr_mapcoords?>" />