<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */

	defined('_JEXEC') or die('Restricted access');
	JHTML::_('behavior.modal');

	$photos = FOFModel::getTmpInstance('Images', 'DomusModel')
				->img_id_properties($this->item->id_properties)
				->filter_order('ordering')
				->filter_order_Dir('ASC')
				->getList(true);
?>

<h2><?php echo JText::_('COM_DOMUS_PHOTO_PREVIEW')?></h2>
<?php
		if(!$photos) echo '<div class="center">'.JText::_('COM_DOMUS_NOROWS').'</div>';
		else
		{
			$i = 0;
			foreach($photos as $photo):
		?>
		<a href="<?php echo $photo->img_path.$photo->img_fname.$photo->img_type?>" class="modal" style="float:left;margin:5px">
			<img src="<?php echo $photo->img_path.'thumbs/t_'.$photo->img_fname.$photo->img_type?>" />
		</a>
		<?php
				$i++;
			endforeach;
		}
	?>
<div class="clr"></div>
