<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */
	defined('_JEXEC') or die('Restricted access');
	$this->loadHelper('select');

	$sql['ordering'] = array('id'	 => 'ordering',
			'descr' => "CONCAT(ordering, ' ',ty_name)",
			'table' => 'domus_types',
			'order' => 'ordering');

	if($this->item->id_types)	$opt['ordering'] = DomusHelperSelect::buildSelectOptions($sql['ordering']);
	else						$opt['ordering'] = array(array('value' => '', 'text' => JText::_('COM_DOMUS_SELECT_LIST')));
?>
<div id="domus">
	<form id="adminForm" name="adminForm" action="<?php echo JRoute::_('index.php?option=com_domus&view=type') ?>" method="post">
		<table class="w100_">
			<tr>
				<td class="bold w100"><?php echo JText::_('COM_DOMUS_TITLE')?></td>
				<td>
					<input type="text" class="w200"
						name="ty_name"
						data-validators="required"
						title="<?php echo JText::_('COM_DOMUS_TITLE')?>" value="<?php echo $this->item->ty_name?>" />
				</td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_ALIAS')?></td>
				<td><input class="w200" type="text" name="ty_alias" value="<?php echo $this->item->ty_alias?>" /></td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_ORDER')?></td>
				<td><?php echo DomusHelperSelect::createSelectList($opt['ordering'], 'ordering', $this->item->ordering, 'class="w150"')?></td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('JPUBLISHED')?></td>
				<td><?php echo JHTML::_('select.booleanlist', 'ty_published', '', $this->item->ty_published);?></td>
			</tr>
		</table>

		<input type="hidden" name="option" value="com_domus" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="view" value="type" />
		<input type="hidden" name="id_types" value="<?php echo $this->item->id_types?>" />
		<input type="hidden" name="<?php echo JUtility::getToken();?>" value="1" />
	</form>
</div>