<?php
/**
 * @package    	Domus Organizer
 * @subpackage 	Layouts
 * @author     	Davide Tampellini
 * @copyright 	Copyright (c)2011-2012 Davide Tampellini
 * @license 	GNU General Public License version 3, or later
 */
	defined('_JEXEC') or die('Restricted access');
	$this->loadHelper('select');

	$sql = array('id' 	 => 'id_towns',
				 'descr' => 'to_descr',
				 'table' => 'jd_towns',
				 'where' => 'to_id_districts = '.$this->item->to_id_districts);
	$opt = DomusHelperSelect::buildSelectOptions($sql);

?>
<script type="text/javascript">
window.addEvent('domready', function(){
	document.id('district').addEvent('change', function(){
		var self = this;
		JSON_ajax.options.target = document.id('zo_id_towns');
		JSON_ajax.post({
			'view': 'towns',
			'to_id_districts'  : self.value
		})
	});
});
</script>
<div id="domus">
	<form id="adminForm" action="<?php echo JRoute::_('index.php?option=com_domus&view=zone') ?>" method="post">

		<table class="w100_">
			<tr>
				<td class="bold w100"><?php echo JText::_('COM_DOMUS_DISTRICT')?></td>
				<td>
					<?php echo DomusHelperSelect::createList('district', 'district', $this->item->to_id_districts,'class="w150" data-validators="required" title="'.JText::_('COM_DOMUS_DISTRICT').'"');?>
				</td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_TOWN')?></td>
				<td>
					<?php echo DomusHelperSelect::createSelectList($opt, 'zo_id_towns',
										$this->item->zo_id_towns,
										'class="w150" data-validators="required" title="'.JText::_('COM_DOMUS_TOWN').'"');?>
				</td>
			</tr>
			<tr>
				<td class="bold"><?php echo JText::_('COM_DOMUS_ZONE')?></td>
				<td>
					<input type="text" class="w200"
							data-validators="required"
							title="<?php echo JText::_('COM_DOMUS_ZONE')?>"
							name="zo_descr" value="<?php echo $this->item->zo_descr?>" />
				</td>
			</tr>
		</table>

		<input type="hidden" name="option" value="com_domus" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="view" value="zone" />
		<input type="hidden" name="id_zones" value="<?php echo $this->item->id_zones?>" />
		<input type="hidden" name="<?php echo JUtility::getToken();?>" value="1" />
	</form>
</div>