window.addEvent('domready', function(){
	var adminForm = document.id('adminForm');
	
	document.id('addRoom').addEvent('click', function(){
		var clone = document.id('originalRooms').clone();
		
		var norows = $$('#rooms .norows');
		norows.each(function(item){item.addClass('hidden')});
		document.id('rooms').adopt(clone);
		norows.each(function(item){item.destroy()});
	});
	
	document.id('addTowns').addEvent('click', function(){
		var clone = document.id('originalTowns').clone();
		var norows = $$('#towns .norows');
		norows.each(function(item){item.addClass('hidden')});
		document.id('towns').adopt(clone);
		norows.each(function(item){item.destroy()});
	});
	
	adminForm.addEvent('click:relay(img.delete)', function(event, clicked){
		var base_rmv = 'index.php?option=com_domus&task=remove&format=json&' + document.id('token').value + '=1';
		var parent  = clicked.getParent().getParent();
		
		if(clicked.hasClass('deleteTown')){
			var id		= clicked.getParent().getFirst('input[name="id_cust_towns[]"]')
			var rmvUrl 	= base_rmv + '&view=custtowns';
			var rmvData	= {'id' : id.value};
			var colspan = 4;
		}
		else if(clicked.hasClass('deleteProp')){
			var id      = clicked.getNext();
			var rmvUrl	= base_rmv + '&view=propown';
			var rmvData	= {'id_cust' : document.id('id_customers').value, 'id_prop' : id.value};
			var colspan = 3;
		}		
		else{
			var id 	   	= clicked.getParent().getNext().getFirst('input[name="id_cust_rooms[]"]')
			var rmvUrl 	= base_rmv + '&view=custrooms';
			var rmvData	= {'id' : id.value};
			var colspan = 2;
		}
		
		if(id.value > 0) if(confirm(Locale.get('Domus.confirmDelete')) == false) return;
		
		var image = new Element('img').setProperty('src', 'media/com_domus/images/circleLoader2_16.gif');
				
		var td = new Element('td',{
								'colspan': colspan,
								'styles' : {
										'text-align' : 'center'
								}
							}).adopt(image);
		
		parent.empty().adopt(td);
		var parentFx = new Fx.Tween(parent,  {property: 'opacity'});		
		
		if(id.value > 0)
		{
			var ajax = new Request({
				'url'  : rmvUrl,
				'data' : rmvData, 
				onSuccess : function(){
								parentFx.start(1, 0).chain(function(){this.subject.destroy()});
							}
			}).send();
		}
		else parentFx.start(1, 0).chain(function(){this.subject.destroy()});
	});
	
	adminForm.addEvent('change:relay(select.district)', function(event, clicked){
		if(clicked.value == '') return;
		JSON_ajax.options.target = clicked.getParent().getNext().getFirst();
		JSON_ajax.post({
			'view' : 'towns',
			'to_id_districts'   : clicked.value
		});
	});
	
	adminForm.addEvent('change:relay(select.town)', function(event, clicked){
		if(clicked.value == '') return;
		JSON_ajax.options.target = clicked.getParent().getNext().getFirst();
		JSON_ajax.post({
			'view' : 'zones',
			'zo_id_towns'   : clicked.value
		});
	});
	
	adminForm.addEvent('change:relay(select.zone)', function(event, clicked){
		if(clicked.value == '') return;
		JSON_ajax.options.target = clicked.getParent().getNext().getFirst();
		JSON_ajax.post({
			'view' : 'szones',
			'sz_id_zones'   : clicked.value
		});
	});
	
	adminForm.getElements('[type=text], textarea').each(function(el){
		new OverText(el);
	});
	
	document.id('cu_id_districts').addEvent('change', function(){
		if(this.value == '') return;
		var self = this;
		JSON_ajax.options.target = document.id('cu_id_towns');
		JSON_ajax.post({
			'view' : 'towns',
			'to_id_districts'   : self.value
		});
	});
	
	document.id('cu_district_birth').addEvent('change', function(){
		if(this.value == '') return;
		var self = this;
		JSON_ajax.options.target = document.id('cu_town_birth');
		JSON_ajax.post({
			'view' : 'towns',
			'to_id_districts'   : self.value
		});
	});
});