var BASE_URL = 'index.php?option=com_domus&view=ajax';
var RAW_URL  = BASE_URL + '&format=raw';
var HTML_URL = BASE_URL + '&tmpl=component';
var ERRORS = [];

Joomla.submitbutton = function(pressbutton) {
	var task = pressbutton.split('.');

	var validator = document.id('adminForm').retrieve('validator');	
	
	if((task[0] == 'save' || task[0] == 'apply') && validator)
	{
		if(!validator.validate())
		{
			ulError = new Element('ul');
			ERRORS.each(function(item){ulError.adopt(new Element('li').set('html', item))});
			validator.customDone = false;
			
			new MooDialog.Alert(ulError,{
				title: 'Alert',
				focus : false,
				onInitialize: function(wrapper){
					wrapper.setStyle('opacity', 0);
					this.fx = new Fx.Morph(wrapper, {
						duration: 600,
						transition: Fx.Transitions.Bounce.easeOut
					});
					this.overlay = new OverlayMoo(this.options.inject, {
						duration: this.options.duration
					});
					if (this.options.closeOnOverlayClick) this.overlay.addEvent('click', this.close.bind(this));
				},
				onBeforeOpen: function(){
					this.overlay.open();
					this.fx.start({
						'margin-top': [-200, -100],
						opacity: [0, 1]
					}).chain(function(){
						this.fireEvent('show');
					}.bind(this));
				},
				onBeforeClose: function(){
					this.fx.start({
						'margin-top': [-100, 0],
						opacity: 0
					}).chain(function(){
						this.fireEvent('hide');
					}.bind(this));
					this.overlay.close();
				}
			});
			ERRORS.length = 0;
			return false;
		}
	}

	Joomla.submitform(pressbutton);
}

function buildSelect(select, options)
{
    select.empty();
    var base_array = [{"value":'', 'text' : Locale.get('Domus.select')}];
    base_array.combine(options);
    
    base_array.each(function(item) {

        var option = new Element('option', {
            value: item.value.toString()
        });
        option.set('html', item.text.toString());
        option.inject(select);
    });
}

function refreshGmap()
{
	latlng = MAP.getCenter();
	google.maps.event.trigger(MAP, 'resize');
	MAP.panTo(latlng);
}

Request.implement({
	options : {
		target : '',
		classes: '',
		imgclasses : ''
		},
	callBack 		: function(){return true;},
	callBackrequest : function(){return true;},
	callBackSuccess : function(){return true;},
	waitImg 		: ''
});

var JSON_ajax = new Request.JSON({
	url : 'index.php?option=com_domus&format=json',
	autoCancel : true,
	onRequest : function(){
		this.options.target.empty().addClass('waitingBG');
	},
	onSuccess : function(responseJSON){
			buildSelect(this.options.target, responseJSON)
			this.options.target.removeClass('waitingBG');
		}
})

var reloadImages = new Request.JSON({
	url : 'index.php?option=com_domus&view=ajax&task=reloadImages&format=json',
	autoCancel : true,
	onRequest : function(){
		var waiting = new Element('img', {
			'id'  : 'waiting',
			'src' : 'administrator/components/com_jdomus/assets/img/circleLoader.gif',
			'styles' : {
				'text-align' : 'center'
			}
		})
		this.options.target.empty().adopt(waiting);
	},
	onSuccess : function(responseJSON){
		this.options.target.empty();
		var self = this;
		responseJSON.each(function(item){
			var div = new Element('div', {'class' : self.options.classes}).adopt(new Asset.image(item.src, {'class': self.options.imgclasses}));
			self.options.target.adopt(div);
		})
		
		this.callBack();
	}
});